Debian Bug report logs - #729203
ITP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rogério Brito <rbrito@ime.usp.br>

Date: Sun, 10 Nov 2013 05:54:02 UTC

Owned by: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ffmpeg-devel@ffmpeg.org, michaelni@gmx.at, u@pkh.me, ubitux@gmail.com, mpv-team@googlegroups.com, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 10 Nov 2013 05:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
New Bug report received and forwarded. Copy sent to ffmpeg-devel@ffmpeg.org, michaelni@gmx.at, u@pkh.me, ubitux@gmail.com, mpv-team@googlegroups.com, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Sun, 10 Nov 2013 05:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: submit@bugs.debian.org
Subject: RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video
Date: Sun, 10 Nov 2013 02:40:27 -0200
Package: wnpp
Severity: wishlist

Hi.

As I anticipate a lot of discussion and bikeshedding on this bug report, I
am going to preface it with some information. I am including some people
that may be interested parties in the CC'ies.

Motivated by Debian's bug #729147 being closed, by the fact that some
software either needs or recommends ffmpeg (see below), I think that Debian
should provide the *option* of using ffmpeg instead of libav to its users.

ffmpeg has many features that libav lacks and it is, as I understand it, the
set of ffmpeg's features are a strict superset of that of libav's.

When I read that libav was going to be forked, I thought that, given the
non-explicit reports on what happened at the time, it was a good thing. A
few years later, I think that I was wrong and libav doesn't suit me as both
a user and a package of other programs.

Just off the top of my head, here are some packages that either depend on or
recommend ffmpeg (sometimes, embedding their own copy of ffmpeg):

* mpv: https://github.com/mpv-player/mpv/wiki/FFmpeg-versus-Libav#situation-today
* xbmc: http://xbmc.org/xbmc-13-gotham-april-and-may-cycles/
* mythtv: https://github.com/MythTV/mythtv/tree/master/mythtv/external
* chromium: http://packages.debian.org/search?searchon=contents&keywords=libffmpegsumo.so

You can see a reply to Josh Triplett at http://bugs.debian.org/721317#18
pointing out some extra arguments.

This bug, in fact, is more of an Intent to Package than a Request for
Package, but I will leave it as a RFP because I don't really know if I will
have the enthusiasm to sustain the packaging during long times. What I *do*
know is that, whenever I hit a limitation with libav, that enthusiasm all of
a sudden comes back.

I don't want any flamewar or anything. I just want to use my computer to do
things that it currently doesn't.

So, without further ado, here goes the skeleton of the RFP/ITP:

----

* Package name    : ffmpeg
  Version         : 2.1
  Upstream Author : Name <somebody@example.org>
* URL             : http://ffmpeg.org/
* License         : GPL, LGPL
  Programming Lang: C
  Description     : complete, cross-platform solution to record, convert and stream audio and video


-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 17 Nov 2013 13:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Favor <david@davidfavor.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Nov 2013 13:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 729203@bugs.debian.org (full text, mbox):

From: David Favor <david@davidfavor.com>
To: 729203@bugs.debian.org
Subject: Yes, Please include a *real* ffmpeg package
Date: Sun, 17 Nov 2013 07:28:16 -0600
Most people have abandoned libav (like me) because
of all the new development in ffmpeg.

I build my own libx264 + ffmpeg every night. I've
only had trouble with libav, either it does not
support what I'm trying do to, creates poor quality
output or runs 30-50% longer than ffmpeg (shown by time)
for the exact same transcodes.

Please, bring ffmpeg back.

-- 
Love Living Well Doing What You Love?
http://DavidFavor.com/books can help!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 27 Nov 2013 03:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wyatt Ward <legend5459@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Nov 2013 03:39:04 GMT) Full text and rfc822 format available.

Message #15 received at 729203@bugs.debian.org (full text, mbox):

From: Wyatt Ward <legend5459@gmail.com>
To: 729203@bugs.debian.org
Subject: I also want ffmpeg back in the package system. I support this.
Date: Tue, 26 Nov 2013 22:35:44 -0500
I too compile a new version of ffmpeg and a ton of libraries through a
shellscript every night. I use it regularly and cannot abide by  the
lower quality of the libav fork. I tried it for about five months, was
constantly frustrated, and switched back to ffmpeg. Please make this a
debian package again.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 27 Nov 2013 23:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to ½ð½ð³¯Ýx <www163qq1631638020@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Nov 2013 23:15:11 GMT) Full text and rfc822 format available.

Message #20 received at 729203@bugs.debian.org (full text, mbox):

From: ½ð½ð³¯Ýx <www163qq1631638020@gmail.com>
To: 729203@bugs.debian.org
Date: Thu, 28 Nov 2013 07:12:54 +0800
[Message part 1 (text/plain, inline)]

[Message part 2 (text/html, inline)]
[0SLaRTMA01U3OZ5MdSPHZNWW9YDWPE0G1KCK8PT0.rmvb_0.!mv (*/*, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 28 Nov 2013 02:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jackson Doak <noskcaj@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Nov 2013 02:45:04 GMT) Full text and rfc822 format available.

Message #25 received at 729203@bugs.debian.org (full text, mbox):

From: Jackson Doak <noskcaj@ubuntu.com>
To: 729203@bugs.debian.org
Date: Thu, 28 Nov 2013 13:41:25 +1100
[Message part 1 (text/plain, inline)]
If there's anything i can do to help, let me know. Could you put you
work-in-progress stuff in a VCS so others can look?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 30 Nov 2013 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Ross <pross@xvid.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 30 Nov 2013 01:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 729203@bugs.debian.org (full text, mbox):

From: Peter Ross <pross@xvid.org>
To: 729203@bugs.debian.org
Subject: RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video
Date: Sat, 30 Nov 2013 11:50:42 +1100
[Message part 1 (text/plain, inline)]
I support this.

Please bring 'apt-get install ffmpeg' back.

(I manually build ffmpeg on all my boxes.)

-- Peter
(A907 E02F A6E5 0CD2 34CD 20D2 6760 79C5 AC40 DD6B)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 30 Nov 2013 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric.valette@free.fr:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 30 Nov 2013 18:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 729203@bugs.debian.org (full text, mbox):

From: Eric Valette <eric.valette@free.fr>
To: 729203@bugs.debian.org
Subject: In the meantime you can use deb-multimedia packages
Date: Sat, 30 Nov 2013 19:53:38 +0100
This is what I've been doing for years.

-- eric




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 04 Dec 2013 14:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to xiaohua zhou <wwdxh.zhou@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Dec 2013 14:57:10 GMT) Full text and rfc822 format available.

Message #40 received at 729203@bugs.debian.org (full text, mbox):

From: xiaohua zhou <wwdxh.zhou@gmail.com>
To: 729203@bugs.debian.org
Subject: Re: Bug#729203: Info received ()
Date: Wed, 4 Dec 2013 22:54:28 +0800
[Message part 1 (text/plain, inline)]
在 2013-12-4 PM10:45,"Debian Bug Tracking System" <owner@bugs.debian.org>写道:
>
> Thank you for the additional information you have supplied regarding
> this Bug report.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  wnpp@debian.org
>
> If you wish to submit further information on this problem, please
> send it to 729203@bugs.debian.org.
>
> Please do not send mail to owner@bugs.debian.org unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 729203: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729203
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 09 Dec 2013 17:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas.schorpp@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Dec 2013 17:15:11 GMT) Full text and rfc822 format available.

Message #45 received at 729203@bugs.debian.org (full text, mbox):

From: thomas schorpp <thomas.schorpp@gmail.com>
To: 729203@bugs.debian.org
Subject: RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video
Date: Mon, 09 Dec 2013 18:10:31 +0100
I support the "RFP", too, reasons:

http://git.mplayer2.org/ liked it, but idle for months now, same maintainer as libav.
Have gone back to MPlayer1 (FFmpeg).

https://git.libav.org/?p=libav.git&a=search&h=HEAD&st=grep&s=crystalhd, missing,
http://git.videolan.org/?p=ffmpeg.git;a=history;f=libavcodec/crystalhd.c;h=12a8f8e02bc16bbe25783c0dcc1bb6f4bae7514b;hb=HEAD

https://git.libav.org/?p=libav.git&a=search&h=HEAD&st=grep&s=stereo3d, to latest anaglyph tech e.g. converter missing, I don't want flickering and ghosting proprietary shutters, or pay 1500$,
http://git.videolan.org/?p=ffmpeg.git;a=history;f=libavfilter/vf_stereo3d.c;h=2140120eba6ed82e01927acad74c5b95c5d2f519;hb=325f6e0a97c943807c665eb1d5c278f8d789156b

y
tom



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 11 Dec 2013 02:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Franz Schrober <franzschrober@yahoo.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Dec 2013 02:39:07 GMT) Full text and rfc822 format available.

Message #50 received at 729203@bugs.debian.org (full text, mbox):

From: Franz Schrober <franzschrober@yahoo.de>
To: "720563@bugs.debian.org" <720563@bugs.debian.org>, "720563-subscribe@bugs.debian.org" <720563-subscribe@bugs.debian.org>, "729203@bugs.debian.org" <729203@bugs.debian.org>, "729203-subscribe@bugs.debian.org" <729203-subscribe@bugs.debian.org>
Subject: Re: libav: Doesn't decode opus while opus support is compiled in?
Date: Wed, 11 Dec 2013 02:33:18 +0000 (GMT)
> $ avprobe -codecs | grep Opus > avprobe version 9.8-6:9.8-2, Copyright (c) 2007-2013 the Libav developers >  built on Aug 13 2013 21:50:46 with gcc 4.8 (Debian 4.8.1-8) > DEA.L. opus                 Opus (Opus Interactive Audio Codec) (decoders: libopus ) (encoders: libopus )
> $ avprobe somefile.opus
> avprobe version 9.8-6:9.8-2, Copyright (c) 2007-2013 the Libav developers
>   built on Aug 13 2013 21:50:46 with gcc 4.8 (Debian 4.8.1-8)
> [ogg @ 0xc40460] Codec not found
> somefile.opus: End of file

Really, this libav is a shame. This doesn't happen with the actual libav* from ffmpeg. Now I have a lot of tools in Debian which I need to use to get some work done... and they just fail again, again and again because libav.

Can we really drop this buggy fork called 'libav' and go back to ffmpeg.. or at least allow users to switch to a working libav*? See also bug #729203



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 11 Dec 2013 09:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pau Koning <paukoning@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Dec 2013 09:57:05 GMT) Full text and rfc822 format available.

Message #55 received at 729203@bugs.debian.org (full text, mbox):

From: Pau Koning <paukoning@gmail.com>
To: 729203@bugs.debian.org
Subject: Re: RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video
Date: Wed, 11 Dec 2013 10:55:44 +0100
Bug #731919 is another example why ffmpeg in Debian would be good. The
Debian user should not be the damaged third party when there is a
disagreement between upstream maintainer and Debian
Developer/Maintainer.

It is ok when the DD drops the package because of his personal
problems but I would prefer to use the (for me and many other people)
better package when another person is willing to maintain it.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 16 Dec 2013 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 16 Dec 2013 16:33:04 GMT) Full text and rfc822 format available.

Message #60 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 729203-submitter@bugs.debian.org, 729203@bugs.debian.org
Subject: RFP is not a solution for ffmpeg
Date: Mon, 16 Dec 2013 18:31:28 +0200
Hi Rogério,

I am currently doing some cleanup among WNPP bugs, and this one strikes 
me as between useless and harmful.

Harmful, since adding ffmpeg additionally to libav to the archive would 
create a great mess with the ffmpeg/libav libraries.

The only way to prevent endless discussions would be if you close this 
RFP and instead send a bug to the Debian Technical Committee [1] for a 
technical decision whether jessie should ship with libav or ffmpeg.

You could provide a link to a summary of the history of the ffmpeg/libav 
split in case any of the Technical Committee members doesn't know about 
it - it might not be relevant for the technical decision whether libav 
or ffmpeg is a better choice for jessie, but it explains why a neutral 
third party is needed for a decision.

Describe in detail why you think ffmpeg would be a better choice for 
jessie than libav.

Invite the multimedia maintainers to describe in that bug why libav 
would be a better choice for jessie than ffmpeg.

The Technical Committee then has the power to make a binding decision.

No matter which way the decision goes, it would be better to have a 
decision that settles the issue for the near future than endless 
discussions.

cu
Adrian

[1] http://www.debian.org/devel/tech-ctte
[2] http://deb-multimedia.org/dists/unstable/main/binary-amd64/package/ffmpeg

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Message sent on to Rogério Brito <rbrito@ime.usp.br>:
Bug#729203. (Mon, 16 Dec 2013 16:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 21 Dec 2013 06:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 21 Dec 2013 06:21:05 GMT) Full text and rfc822 format available.

Message #68 received at 729203@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: 729203@bugs.debian.org
Subject: Tired of Libav "virus"
Date: Sat, 21 Dec 2013 14:18:09 +0800
Libav is an annoying "virus".
On one hand, it pretends itself to be FFmpeg; maybe this is due to the
fact that many software don't bother to port.
On the other hand, it tries very hard to discredit FFmpeg and doesn't
bother to be compatible with new FFmpeg development.
( The converse is not true. )
The end result is that breakage occurs here and there, users are
confused and ended up compiling FFmpeg manually.

In case Debian insists on weird choice, interested people may instead
try getting FFmpeg reappear in Ubuntu. I've filed a bug here:
https://bugs.launchpad.net/ubuntu/+source/libav/+bug/1263278

Ubuntu is arguably the biggest contributor of the spreading of Libav
"virus". Innocent, uninformed Ubuntu users just get confused:
http://stackoverflow.com/questions/12651816/libswresample-in-recent-ubuntu-version
http://stackoverflow.com/questions/9477115/who-can-tell-me-the-difference-and-relation-between-ffmpeg-libav-and-avconv
https://github.com/hrydgard/ppsspp/issues/2322
They need our help.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 24 Dec 2013 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zero Zero <ourzeromail@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Dec 2013 07:15:04 GMT) Full text and rfc822 format available.

Message #73 received at 729203@bugs.debian.org (full text, mbox):

From: Zero Zero <ourzeromail@gmail.com>
To: 729203@bugs.debian.org
Subject: RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video
Date: Tue, 24 Dec 2013 10:42:03 +0330
Hi,

We really want to use ffmpeg instead of libav.

Please return ffmpeg to us.

Thanks.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 25 Dec 2013 11:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuele Rini <samuele.rini76@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Dec 2013 11:15:05 GMT) Full text and rfc822 format available.

Message #78 received at 729203@bugs.debian.org (full text, mbox):

From: Samuele Rini <samuele.rini76@gmail.com>
To: 729203@bugs.debian.org
Subject: Yes, bring FFmpeg back
Date: Wed, 25 Dec 2013 12:13:52 +0100
[Message part 1 (text/plain, inline)]
I hated this message:

>>*** THIS PROGRAM IS DEPRECATED ***
>>This program is only provided for compatibility and will be removed in a
future release. Please use avconv instead.

...and it's simply NOT true.

Now I'm compiling it manually. Not a big issue. But I think FFmpeg deserves
to be back.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 26 Dec 2013 02:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to <tomaspartl@centrum.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 26 Dec 2013 02:39:05 GMT) Full text and rfc822 format available.

Message #83 received at 729203@bugs.debian.org (full text, mbox):

From: <tomaspartl@centrum.cz>
To: <729203@bugs.debian.org>
Subject: I want the REAL ffmpeg
Date: Thu, 26 Dec 2013 03:29:56 +0100
 
Hello!
 
I very much support the idea to get the REAL ffmpeg back into Debian!
I, too, have to manually compile ffmpeg from source ever since Debian started supplying the inferior and crippled libav in the guise of ffmpeg.
 
To Adrian Bunk:
 
Substituting an inferior piece of software which at the same time impedes inclusion of its more functional counterpart by hijacking library names needed no approval by any comittee. Yet, correcting the breakage needs a committe to approve of it. Isn't there something wrong with the relevant Debian policies?
 
P.S.
 
Anybody care to join two video files with libav?
 
Libav: http://libav.org/faq.html#How-can-I-join-video-files_003f
FFmpeg: https://trac.ffmpeg.org/wiki/How%20to%20concatenate%20%28join%2C%20merge%29%20media%20files#differentcodec
 
 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 29 Dec 2013 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavel Bohmat <despicere@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 29 Dec 2013 07:09:04 GMT) Full text and rfc822 format available.

Message #88 received at 729203@bugs.debian.org (full text, mbox):

From: Pavel Bohmat <despicere@gmail.com>
To: 729203@bugs.debian.org
Date: Sun, 29 Dec 2013 09:07:46 +0200
[Message part 1 (text/plain, inline)]
 +22 people who need ffmpeg

https://bugs.launchpad.net/ubuntu/+source/libav/+bug/1020856
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 29 Dec 2013 21:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans Erik van Elburg <hanserik.van.elburg@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 29 Dec 2013 21:45:14 GMT) Full text and rfc822 format available.

Message #93 received at 729203@bugs.debian.org (full text, mbox):

From: Hans Erik van Elburg <hanserik.van.elburg@gmail.com>
To: 729203@bugs.debian.org
Subject: please include the real ffmpeg
Date: Sun, 29 Dec 2013 22:43:39 +0100
+1

forking is fine, highjacking name and fame of established software 
package is not. Please distribute the real ffmpeg.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 31 Dec 2013 13:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo Izen <leo.izen@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 31 Dec 2013 13:57:14 GMT) Full text and rfc822 format available.

Message #98 received at 729203@bugs.debian.org (full text, mbox):

From: Leo Izen <leo.izen@gmail.com>
To: 729203@bugs.debian.org
Subject: Yes, switch Debian/Ubuntu to FFmpeg
Date: Tue, 31 Dec 2013 08:52:27 -0500
I agree that we should go back to FFmpeg from Libav. I build FFmpeg from 
source frequently, but this isn't enough.

Packages such as Totem, VLC Media Player, or Audacity either natively 
depend on the libav* libraries or have plugins for libav* support. 
Building FFmpeg from source works for the command line, but I can't use 
players such as VLC Media Player to play certain video files I have 
because Libav's libavcodec doesn't support them. (For example, FFmpeg 
supports the Windows Media Player MSS2 codec but Libav does not.)

In addition, FFmpeg continues to be ABI- and API-compatible with Libav 
so a switch will not harm any existing programs. However, Libav does not 
try to be compatible with FFmpeg.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 01 Jan 2014 12:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Rogalsky <ed.rogalsky@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Jan 2014 12:33:09 GMT) Full text and rfc822 format available.

Message #103 received at 729203@bugs.debian.org (full text, mbox):

From: Ed Rogalsky <ed.rogalsky@gmail.com>
To: 729203@bugs.debian.org
Subject: ffmpeg for debian/ubuntu
Date: Wed, 1 Jan 2014 13:29:53 +0100
[Message part 1 (text/plain, inline)]
Hi,

please please provide ffmpeg in ubuntu because I had a lot of trouble with
libav. I compile myself ffmpeg.

eddrog
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 06 Jan 2014 02:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to igor@levicki.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Jan 2014 02:57:10 GMT) Full text and rfc822 format available.

Message #108 received at 729203@bugs.debian.org (full text, mbox):

From: Igor Levicki <igor@levicki.net>
To: 729203@bugs.debian.org
Subject: Bring back ffmpeg
Date: Mon, 06 Jan 2014 03:43:07 +0100
[Message part 1 (text/plain, inline)]
As a user and as a developer I vote for bringing ffmpeg back, at least 
as an option.

I also want to voice my concern about this kind of turf wars and the 
future of open-source.

It is OK that one of Debian/Ubuntu upstream developers disagreed with 
Michael Niedermayer
and made a fork, although the way it has been done was really ugly.

It is OK to decide to include the fork in Debian/Ubuntu.

What is not OK is to remove a choice from the end user and to insinuate 
with your message
about deprecation how ffmpeg is inferior to your own fork.

Why don't you let users decide?

Or you perhaps forgot who made you popular?

It is sad that you talk about Committee and waste time politicking and 
arguing here when
your stable network based install can't even detect Intel network 
adapters due to your
developers not updating 3 year old e1000e driver in installer ISO.

-- 
Regards,
Igor Levicki


[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 07 Jan 2014 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sivabalan K <sivabalan_k@spanservices.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Jan 2014 13:30:04 GMT) Full text and rfc822 format available.

Message #113 received at 729203@bugs.debian.org (full text, mbox):

From: Sivabalan K <sivabalan_k@spanservices.com>
To: "729203@bugs.debian.org" <729203@bugs.debian.org>
Subject: Please add the ffmpeg package to ubuntu software repositories
Date: Tue, 7 Jan 2014 13:17:17 +0000
[Message part 1 (text/plain, inline)]
Please add the ffmpeg package to Ubuntu software repositories

Regards,
Sivabalan K
DISCLAIMER: This email message and all attachments are confidential and may contain information that is Privileged, Confidential or exempt from disclosure under applicable law. If you are not the intended recipient, you are notified that any dissemination, distribution or copying of this email is strictly prohibited.  If you have received this email in error, please notify us immediately by return email to mailadmin@spanservices.com and destroy the original message.  Opinions, conclusions and other information in this message that do not relate to the official of SPAN, shall be understood to be nether given nor endorsed by SPAN.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 10 Jan 2014 00:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Patrick Shirkey" <pshirkey@boosthardware.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Jan 2014 00:03:05 GMT) Full text and rfc822 format available.

Message #118 received at 729203@bugs.debian.org (full text, mbox):

From: "Patrick Shirkey" <pshirkey@boosthardware.com>
To: 729203@bugs.debian.org
Subject: FFMPEG and libav should be a choice
Date: Fri, 10 Jan 2014 10:36:24 +1100 (EST)
Hi,

Linux Audio Developers often have to assist users with audio and
multimedia issues that are working in ffmpeg but not in libav. In addition
the deprecation message for the ffmpeg wrapper causes a lot of confusion
and even though it is not meant maliciously most people perceive it as an
attack on FFMPEG by petty libav developers. This is neither good for the
open source multimedia community as it encourages and promotes fractious
behaviour but it also misleads people into thinking that FFMPEG is an
abandoned project.

I have monitored the commits for both libav and ffmpeg for the past few
years and I can tell you that FFMPEG has more commits than libav. It is
clearly not a project that is going away anytime soon.

In short FFMPEG is one of the most powerful multimedia tools that we have
and it is a travesty that a couple of Debian package maintainers have been
allowed to make the decision for us on which fork we are able to install.

The Debian community needs to look closely at the background for this
decision making process especially with a view towards the ongoing damage
that the continued promotion of FFMPEG as a deprecated project is doing to
global perception of Linux Multimedia as well as the confusion that has
been caused to date.

This is along the same lines as the purposefully bad implementation of
PulseAudip that plagued Ubuntu users for a number of years. It was only
solved when Mark Shuttleworth stepped in and personally fired the people
responsible for the mismanaged audio system. The damage that was caused
and the ongoing negative perception to Pulse Audio that still exists is
taking many years to rectify.

it's time that Linux Multimedia was given a higher political priority.
Many of the greatest leaps forward over the past several years wouldn't
have been possible without ALSA, Pulse Audio, FFMPEG and various other
open source multimedia projects. Continuing to allow a substandard fork of
a well loved and very active project to be promoted as the "new way" needs
to stop.


--
Patrick Shirkey
Boost Hardware Ltd



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 10 Jan 2014 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luigino Bracci <lbracci@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Jan 2014 02:15:04 GMT) Full text and rfc822 format available.

Message #123 received at 729203@bugs.debian.org (full text, mbox):

From: Luigino Bracci <lbracci@gmail.com>
To: 729203@bugs.debian.org
Subject: Support to ffmpeg in Debian
Date: Thu, 9 Jan 2014 21:43:55 -0430
[Message part 1 (text/plain, inline)]
I also prefer that Debian uses ffmpeg again; their development is faster,
and ffmpeg have more features that libav. Please bring it back.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 10 Jan 2014 07:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lorenzo Sutton <lorenzofsutton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 10 Jan 2014 07:21:09 GMT) Full text and rfc822 format available.


Message #128 received at 729203@bugs.debian.org (full text, mbox):

From: Lorenzo Sutton <lorenzofsutton@gmail.com>
To: 729203@bugs.debian.org
Date: Fri, 10 Jan 2014 08:17:45 +0100
Agree with many on at least providing the *option* for users to have the 
original ffmpeg instead of libav and using sensible clear names and 
descriptions for both packages.
The 'deprecation' message is at least confusing and misleading.

Without getting into the politics of the fork etc. users should be able 
to do

apt-get install ffmpeg

or

apr-get install libav


Am compiling ffmpeg manually and it's boring and time-consuming. And as 
a multimedia user I prefer ffmpeg to libav.

Lorenzo.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 10 Jan 2014 16:54:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Jan 2014 16:54:19 GMT) Full text and rfc822 format available.

Message #133 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Lorenzo Sutton <lorenzofsutton@gmail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: (no subject)
Date: Fri, 10 Jan 2014 18:52:06 +0200
On Fri, Jan 10, 2014 at 08:17:45AM +0100, Lorenzo Sutton wrote:
> Agree with many on at least providing the *option* for users to have
> the original ffmpeg instead of libav and using sensible clear names
> and descriptions for both packages.
>...
> 
> Without getting into the politics of the fork etc. users should be
> able to do
> 
> apt-get install ffmpeg
> 
> or
> 
> apr-get install libav
>...

It is a misconception that making this optional would be a reasonable 
solution - in reality the hassle that would create would is so huge   
that no sane person would want to implement the packaging for something 
like that.

Doing that for local use might not be too hard, but doing it 100% 
correct for a Debian release is simply not feasible.

> Lorenzo.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 10 Jan 2014 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Georg Lippitsch" <georg.lippitsch@gmx.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Jan 2014 20:51:04 GMT) Full text and rfc822 format available.

Message #138 received at 729203@bugs.debian.org (full text, mbox):

From: "Georg Lippitsch" <georg.lippitsch@gmx.at>
To: 729203@bugs.debian.org
Subject: Re: Bug#729203: (no subject)
Date: Fri, 10 Jan 2014 21:50:37 +0100
Am 10.01.2014, 17:52 Uhr, schrieb Adrian Bunk <bunk@stusta.de>:

 to do
>>
>> apt-get install ffmpeg
>>
>> or
>>
>> apr-get install libav
>> ...
>
> It is a misconception that making this optional would be a reasonable
> solution - in reality the hassle that would create would is so huge
> that no sane person would want to implement the packaging for something
> like that.

But anyways, the misleading naming of the packages should stop. If Debian  
decides to go with libav, they should not name the package ffmpeg.  
Repeatedly explaining to people that they do not have ffmpeg on their  
computer despite typing "apt-get install ffmpeg" is really annoying.


Georg



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 10 Jan 2014 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Jan 2014 21:03:04 GMT) Full text and rfc822 format available.

Message #143 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Georg Lippitsch <georg.lippitsch@gmx.at>, 729203@bugs.debian.org
Subject: Re: Bug#729203: (no subject)
Date: Fri, 10 Jan 2014 22:59:09 +0200
On Fri, Jan 10, 2014 at 09:50:37PM +0100, Georg Lippitsch wrote:
> Am 10.01.2014, 17:52 Uhr, schrieb Adrian Bunk <bunk@stusta.de>:
> 
>  to do
> >>
> >>apt-get install ffmpeg
> >>
> >>or
> >>
> >>apr-get install libav
> >>...
> >
> >It is a misconception that making this optional would be a reasonable
> >solution - in reality the hassle that would create would is so huge
> >that no sane person would want to implement the packaging for something
> >like that.
> 
> But anyways, the misleading naming of the packages should stop. If
> Debian decides to go with libav, they should not name the package
> ffmpeg. Repeatedly explaining to people that they do not have ffmpeg
> on their computer despite typing "apt-get install ffmpeg" is really
> annoying.

That's already implimented in exactly the way you demand in 
unstable/testing:

  http://packages.debian.org/ffmpeg
  http://packages.debian.org/libav-tools


> Georg

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 10 Jan 2014 21:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <sramacher@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Jan 2014 21:06:04 GMT) Full text and rfc822 format available.

Message #148 received at 729203@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Georg Lippitsch <georg.lippitsch@gmx.at>, 729203@bugs.debian.org
Subject: Re: Bug#729203: (no subject)
Date: Fri, 10 Jan 2014 22:03:32 +0100
[Message part 1 (text/plain, inline)]
On 2014-01-10 21:50:37, Georg Lippitsch wrote:
> Am 10.01.2014, 17:52 Uhr, schrieb Adrian Bunk <bunk@stusta.de>:
> 
>  to do
> >>
> >>apt-get install ffmpeg
> >>
> >>or
> >>
> >>apr-get install libav
> >>...
> >
> >It is a misconception that making this optional would be a reasonable
> >solution - in reality the hassle that would create would is so huge
> >that no sane person would want to implement the packaging for something
> >like that.
> 
> But anyways, the misleading naming of the packages should stop. If
> Debian decides to go with libav, they should not name the package
> ffmpeg. Repeatedly explaining to people that they do not have ffmpeg
> on their computer despite typing "apt-get install ffmpeg" is really
> annoying.

The ffmpeg binary package does no longer exist in jessie and sid. It got
removed at the end of September 2013.

Regards
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 11 Jan 2014 02:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 Jan 2014 02:09:05 GMT) Full text and rfc822 format available.

Message #153 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: Adrian Bunk <bunk@stusta.de>, 729203@bugs.debian.org
Subject: Bug#729203: (no subject)
Date: Fri, 10 Jan 2014 18:04:21 -0800
[Message part 1 (text/plain, inline)]
Hi Adrian,

Sorry if this is a duplicated mail because I forgot to CC the bug list.

On Jan 10, 2014 8:54 AM, "Adrian Bunk" <bunk@stusta.de <javascript:_e({},
'cvml', 'bunk@stusta.de');>> wrote:
>
> On Fri, Jan 10, 2014 at 08:17:45AM +0100, Lorenzo Sutton wrote:
> > Agree with many on at least providing the *option* for users to have
> > the original ffmpeg instead of libav and using sensible clear names
> > and descriptions for both packages.
> >...
> >
> > Without getting into the politics of the fork etc. users should be
> > able to do
> >
> > apt-get install ffmpeg
> >
> > or
> >
> > apr-get install libav
> >...
>
> It is a misconception that making this optional would be a reasonable
> solution - in reality the hassle that would create would is so huge
> that no sane person would want to implement the packaging for something
> like that.
>
> Doing that for local use might not be too hard, but doing it 100%
> correct for a Debian release is simply not feasible.

API/ABI sure is a problem, but please look at how Gentoo and potentially
some other distros do that (e.g. Homebrew).

Also in case you don't already know, FFmpeg tries very hard to preserve
both backwards and Libav compatibility. And this is essential to packagers.

Timothy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 12 Jan 2014 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pau Koning <paukoning@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 12 Jan 2014 12:33:04 GMT) Full text and rfc822 format available.

Message #158 received at 729203@bugs.debian.org (full text, mbox):

From: Pau Koning <paukoning@gmail.com>
To: 729203@bugs.debian.org
Subject: Recommendation to use FFMPEG for security reasons
Date: Sun, 12 Jan 2014 13:30:48 +0100
Here is an advisory from security researchers who recommend to use
FFMPEG instead of Libav [1]

"The other ~350 commits in FFmpeg were mostly submitted by Libav
project developers: Ronald S. Bultje, Luca Barbato, Alex Converse,
Martin Storsjö and Anton Khirnov. We have been concurrently reporting
issues in Libav during the last several months and similarly to
FFmpeg, the maintainers are doing a great job writing and submitting
patches, which FFmpeg is also cherry-picking to their own git
repository (large chunks of the two projects are shared, as Libav
started as a fork of FFmpeg). While the former project is doing their
best to catch up with the latter, the figures speak for themselves
again: there are “only” 413 commits tagged “Jurczyk” or “Coldwind” in
Libav, so even though some of the FFmpeg bugs might not apply to
Libav, there are still many unresolved issues there which are already
fixed in FFmpeg. Consequently, we advise users to use the FFmpeg
upstream code where possible, or the latest stable version (currently
2.1.1) otherwise. It is also a good idea to carefully consider which
formats and codecs are necessary for your use case and disable all
other parsers during compilation time, in order to reduce the attack
surface to a minimum."

The security team found over 1120 bugs (which were now fixed in FFMPEG
but not all in libav)

[1] http://j00ru.vexillium.org/?p=2211



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 13 Jan 2014 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 13 Jan 2014 16:21:04 GMT) Full text and rfc822 format available.

Message #163 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: (no subject)
Date: Sun, 12 Jan 2014 19:54:14 +0200
On Fri, Jan 10, 2014 at 03:40:48PM -0800, Timothy Gu wrote:
> On Jan 10, 2014 8:54 AM, "Adrian Bunk" <bunk@stusta.de> wrote:
> >
> > On Fri, Jan 10, 2014 at 08:17:45AM +0100, Lorenzo Sutton wrote:
> > > Agree with many on at least providing the *option* for users to have
> > > the original ffmpeg instead of libav and using sensible clear names
> > > and descriptions for both packages.
> > >...
> > >
> > > Without getting into the politics of the fork etc. users should be
> > > able to do
> > >
> > > apt-get install ffmpeg
> > >
> > > or
> > >
> > > apr-get install libav
> > >...
> >
> > It is a misconception that making this optional would be a reasonable
> > solution - in reality the hassle that would create would is so huge
> > that no sane person would want to implement the packaging for something
> > like that.
> >
> > Doing that for local use might not be too hard, but doing it 100%
> > correct for a Debian release is simply not feasible.
> 
> API/ABI sure is a problem, but please look at how Gentoo and potentially
> some other distros do that (e.g. Homebrew).
>...

Any build-from-source distro can simply force a "rebuild everything 
using ffmpeg/libav" when switching between libav and ffmpeg.

That's a completely different situation.

> Timothy

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 14 Jan 2014 08:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rustom Mody <rustompmody@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 14 Jan 2014 08:30:05 GMT) Full text and rfc822 format available.

Message #168 received at 729203@bugs.debian.org (full text, mbox):

From: Rustom Mody <rustompmody@gmail.com>
To: 729203@bugs.debian.org
Subject: Re: RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video
Date: Tue, 14 Jan 2014 13:56:22 +0530
FLOSS software and linux distros in particular are as successful as
they are because of the separation between developers and
distro-packagers.

Disputes and disagreements will happen from time to time.  However
when debian takes a side and goes to the extent of using a name for a
hostile fork, it certainly weakens debian. It also weakens FLOSS

And the fact that ffmpeg does not exist in debian repos any more does
not hold any water -- it was part of the hostile takeover



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 19 Jan 2014 02:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerhard Paulus <gerhard.paulus@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 Jan 2014 02:42:10 GMT) Full text and rfc822 format available.

Message #173 received at 729203@bugs.debian.org (full text, mbox):

From: Gerhard Paulus <gerhard.paulus@googlemail.com>
To: 729203@bugs.debian.org
Subject: PLEASE give us the real FFMPEG back !
Date: Sun, 19 Jan 2014 03:39:46 +0100
[Message part 1 (text/plain, inline)]
PLEASE give us the real FFMPEG back !

If I enter

  sudo apt-get install ffmpeg

then obviously I want to install and use FFMPEG (and not some other
software).

Boy, was I fed up when I discovered that the current "ffmpeg package" does
not contain FFMPEG at all but is only this avconv thing in disguise.
And i needed FFMPEG with which it's really a pleasure to concatenate videos
(avconv is utterly useless for this).

The current packaging is a criminal act: it's fraud.

That this was tolerated in the allegedly "high integrity" Debian system
utterly escapes me.
PLEASE make sure that 'apt-get install ffmpeg' actually does what users
want: provide the original FFMPEG !

To the FFMPEG-team:
many, many thanks for making such a good and useful software :-)
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 23 Jan 2014 12:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to e <0x0065@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Jan 2014 12:21:13 GMT) Full text and rfc822 format available.

Message #178 received at 729203@bugs.debian.org (full text, mbox):

From: e <0x0065@gmail.com>
To: 729203@bugs.debian.org
Subject: not just shameful and fraudulent. Also defamitory and un-foss-ly
Date: Thu, 23 Jan 2014 22:17:15 +1000
I am shocked that debian have sunk so low. Fraudulently packaging one
offering and passing it off as another is one issue.

Defaming the author of the original package whilst impersonating them
is another much bigger issue entirely.

I make no claim to have a detailed understanding of the exact letter
of the GPL, but the free software ethos is pretty clear to me: that,
if you take someone's work and fork it and amend it and re-distribute
it, then you do not hold it out to be the original. You clearly define
what is different and are straight forward and up front about what you
have changed.

This is so sordid and shady. Goodbye debian, ubuntu, mint and deb. It
was fun while it lasted. I might come to visit occasionally for some
steam action. Luckily steam doesn't depend on "libav pretending to be
someone they aren't".



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 23 Jan 2014 21:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Orr <uraharakisuke153@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Jan 2014 21:15:13 GMT) Full text and rfc822 format available.

Message #183 received at 729203@bugs.debian.org (full text, mbox):

From: Samuel Orr <uraharakisuke153@gmail.com>
To: 729203@bugs.debian.org
Subject: please include ffmpeg
Date: Thu, 23 Jan 2014 16:12:57 -0500
[Message part 1 (text/plain, inline)]
Greetings Debian maintainers,

When the fork initially started I was not sure why or which to use. I
trusted Debian's decision to go with libav-tools (they know more than I?).
Now though, I know that for my use case ffmpeg is much more usable. I use
this script to record or stream my desktop (replace ffmpeg with avconv when
using libav-tools). It does not work using avconv. It records a few seconds
of output, and then freezes. When I try streaming, my stream is blank. It
works correctly using ffmpeg.

Please reconsider packaging or even replacing libav-tools with ffmpeg.

Thanks,
Samuel M. Orr

Here is the script:

#!/bin/sh

schedtool -I -e ffmpeg -f x11grab -r 15 -s 1024x768 -i :0.0 -f alsa -i
default \
-vcodec libx264 -preset ultrafast -g 30 -vb 2000k -minrate 2000k -maxrate
2000k \
-pix_fmt yuv420p -acodec libmp3lame -ar 44100 -ab 64k -sn -bufsize 2064k -f
flv \
~/test.flv
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 30 Jan 2014 12:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bodar Bbs <bbs.bodar@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 30 Jan 2014 12:51:07 GMT) Full text and rfc822 format available.

Message #188 received at 729203@bugs.debian.org (full text, mbox):

From: Bodar Bbs <bbs.bodar@gmail.com>
To: 729203@bugs.debian.org
Subject: ffmpeg
Date: Thu, 30 Jan 2014 18:18:00 +0530
visit this for enable ffmpeg on your
website....http://easyscript4u.blogspot.in/2013/06/how-to-enable-ffmpeg-in-php.html

-- 
Thanks and Regards

Bhavesh Bodar (BBS)

+91 968 7777 240



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 15:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to anarcat <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 15:36:09 GMT) Full text and rfc822 format available.

Message #193 received at 729203@bugs.debian.org (full text, mbox):

From: anarcat <anarcat@debian.org>
To: 729203@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>, Adrian Bunk <bunk@stusta.de>
Subject: Re: CTTE and reasonable solutions
Date: Mon, 3 Feb 2014 10:33:17 -0500
[Message part 1 (text/plain, inline)]
On Fri, 10 Jan 2014 18:52:06 +0200, Adrian Bunk wrote:
> On Fri, Jan 10, 2014 at 08:17:45AM +0100, Lorenzo Sutton wrote:
> > Agree with many on at least providing the *option* for users to have
> > the original ffmpeg instead of libav and using sensible clear names
> > and descriptions for both packages.
> >...
> > 
> > Without getting into the politics of the fork etc. users should be
> > able to do
> > 
> > apt-get install ffmpeg
> > 
> > or
> > 
> > apr-get install libav
> >...
> 
> It is a misconception that making this optional would be a reasonable 
> solution - in reality the hassle that would create would is so huge   
> that no sane person would want to implement the packaging for something 
> like that.
> 
> Doing that for local use might not be too hard, but doing it 100% 
> correct for a Debian release is simply not feasible.

Can you clarify why this is not possible? The library names of ffmpeg
and libav now seem perfectly orthogonal and it seems to me it should be
possible to ship Jessie with both libav and ffmpeg if someone would be
willing to package the latter.

It turns out that this is exactly what this bug report is about: we have
one brave soul that is volunteering for that effort. He has also clearly
stated why libav doesn't respond to his requirements.

If you have objections against ffmpeg being packaged in Debian, I
suggest you clarify those instead of requiring Rogério to address the
CTTE right away, which seems to me a little abusive.

Rogério, I would suggest you go ahead with the packaging and an upload,
don't let the flames fan your enthousiasm.

A.

-- 
Non qui parum habet, sed qui plus cupit, pauper est.
It is not the man who has too little, but the man who craves more,
that is poor.            - Lucius Annaeus Seneca (65 AD)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 17:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 17:21:10 GMT) Full text and rfc822 format available.

Message #198 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: anarcat <anarcat@debian.org>, 729203@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 3 Feb 2014 19:18:45 +0200
On Mon, Feb 03, 2014 at 10:33:17AM -0500, anarcat wrote:
> On Fri, 10 Jan 2014 18:52:06 +0200, Adrian Bunk wrote:
> > On Fri, Jan 10, 2014 at 08:17:45AM +0100, Lorenzo Sutton wrote:
> > > Agree with many on at least providing the *option* for users to have
> > > the original ffmpeg instead of libav and using sensible clear names
> > > and descriptions for both packages.
> > >...
> > > 
> > > Without getting into the politics of the fork etc. users should be
> > > able to do
> > > 
> > > apt-get install ffmpeg
> > > 
> > > or
> > > 
> > > apr-get install libav
> > >...
> > 
> > It is a misconception that making this optional would be a reasonable 
> > solution - in reality the hassle that would create would is so huge   
> > that no sane person would want to implement the packaging for something 
> > like that.
> > 
> > Doing that for local use might not be too hard, but doing it 100% 
> > correct for a Debian release is simply not feasible.
> 
> Can you clarify why this is not possible? The library names of ffmpeg
> and libav now seem perfectly orthogonal and it seems to me it should be
> possible to ship Jessie with both libav and ffmpeg if someone would be
> willing to package the latter.
> 
> It turns out that this is exactly what this bug report is about: we have
> one brave soul that is volunteering for that effort. He has also clearly
> stated why libav doesn't respond to his requirements.
> 
> If you have objections against ffmpeg being packaged in Debian, I
> suggest you clarify those instead of requiring Rogério to address the
> CTTE right away, which seems to me a little abusive.
> 
> Rogério, I would suggest you go ahead with the packaging and an upload,
> don't let the flames fan your enthousiasm.

Can you clarify whether you are sincerely asking for clarification, or 
whether that would be pointless since you've anyway already decided that 
everything I write are "flames" and anything I'll answer you'll only use 
for further attacks against me?

> A.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 17:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 17:51:08 GMT) Full text and rfc822 format available.

Message #203 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Adrian Bunk <bunk@stusta.de>, 729203@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 03 Feb 2014 12:48:45 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-03 12:18:45, Adrian Bunk wrote:
> Can you clarify whether you are sincerely asking for clarification, or 
> whether that would be pointless since you've anyway already decided that 
> everything I write are "flames" and anything I'll answer you'll only use 
> for further attacks against me?

It is interesting that you feel specifically targeted when I mention
flames whereas I haven't specifically mentionned you were the source of
the heat. There were numerous messages in this bug report so far and a
number of them have been out of line.

I would prefer if you would assume I was asking in good faith, in
general.

So yes, I am genuinely asking for clarification.

A.
-- 
À force de ne jamais réfléchir, on a un bonheur stupide
                        - Jean Cocteau
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 21:27:04 GMT) Full text and rfc822 format available.

Message #208 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 3 Feb 2014 23:22:38 +0200
On Mon, Feb 03, 2014 at 12:48:45PM -0500, Antoine Beaupré wrote:
> On 2014-02-03 12:18:45, Adrian Bunk wrote:
> > Can you clarify whether you are sincerely asking for clarification, or 
> > whether that would be pointless since you've anyway already decided that 
> > everything I write are "flames" and anything I'll answer you'll only use 
> > for further attacks against me?
> 
> It is interesting that you feel specifically targeted when I mention
> flames whereas I haven't specifically mentionned you were the source of
> the heat. There were numerous messages in this bug report so far and a
> number of them have been out of line.
> 
> I would prefer if you would assume I was asking in good faith, in
> general.

You used "flames" in an email directly answering to me, and in a 
sentence where you told someone to go ahead without even waiting
for the clarification you just asked from me.

You should re-read how that sounded to me.

> So yes, I am genuinely asking for clarification.

First of all, your "The library names of ffmpeg and libav now seem 
perfectly orthogonal" is AFAIK not completely true, e.g. libswscale 
still seems to have the same soname in both projects. So you might
end up mixing libav and ffmpeg libraries, and I wouldn't be sure
that this would work smoothly in all cases.

And if it would be true, then something like the suggested
"apt-get install ffmpeg" would simply not do at all what was
implied it would do.

Let me use VLC as example:

VLC (maintained by the same Debian multimedia maintainers as libav)
is using the libav libraries, and therefore depends on them.

When all libav libraries used by VLC have sonames different from the 
sonames of the ffmpeg libraries, then VLC will always use the libav 
libraries and never use any ffmpeg libraries at all.

If all you expect to happen after "apt-get install ffmpeg" is that
there is an ffmpeg binary that is using the ffmpeg libraries, then
this might be doable.

But if someone wants, as Lorenzo suggested, an "apt-get install ffmpeg" 
to magically switch all applications like VLC from using libav to 
ffmpeg, then one of the requirements for that would clearly be that
there would have to be two versions of all binaries and libraries
using libav/ffmpeg in the archive - one compiled with libav, and
one compiled with ffmpeg.

That would be technically insane, and politically impossible unless
CTTE (or a GR) would override the likely veto from the Debian multimedia 
maintainers for doing that in any of the packages they maintain.

> A.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 21:36:04 GMT) Full text and rfc822 format available.

Message #213 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Adrian Bunk <bunk@stusta.de>, 729203@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 03 Feb 2014 16:32:49 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-03 16:22:38, Adrian Bunk wrote:
> On Mon, Feb 03, 2014 at 12:48:45PM -0500, Antoine Beaupré wrote:
>> On 2014-02-03 12:18:45, Adrian Bunk wrote:
>> > Can you clarify whether you are sincerely asking for clarification, or 
>> > whether that would be pointless since you've anyway already decided that 
>> > everything I write are "flames" and anything I'll answer you'll only use 
>> > for further attacks against me?
>> 
>> It is interesting that you feel specifically targeted when I mention
>> flames whereas I haven't specifically mentionned you were the source of
>> the heat. There were numerous messages in this bug report so far and a
>> number of them have been out of line.
>> 
>> I would prefer if you would assume I was asking in good faith, in
>> general.
>
> You used "flames" in an email directly answering to me, and in a 
> sentence where you told someone to go ahead without even waiting
> for the clarification you just asked from me.
>
> You should re-read how that sounded to me.

I am sorry you felt targeted, that was not my intention.

>> So yes, I am genuinely asking for clarification.
>
> First of all, your "The library names of ffmpeg and libav now seem 
> perfectly orthogonal" is AFAIK not completely true, e.g. libswscale 
> still seems to have the same soname in both projects. So you might
> end up mixing libav and ffmpeg libraries, and I wouldn't be sure
> that this would work smoothly in all cases.

I didn't know libswscale still had the same soname, but then I only
summarily looked at the package contents.

> And if it would be true, then something like the suggested
> "apt-get install ffmpeg" would simply not do at all what was
> implied it would do.

I would assume it would imply installing ffmpeg. :)

> Let me use VLC as example:
>
> VLC (maintained by the same Debian multimedia maintainers as libav)
> is using the libav libraries, and therefore depends on them.
>
> When all libav libraries used by VLC have sonames different from the 
> sonames of the ffmpeg libraries, then VLC will always use the libav 
> libraries and never use any ffmpeg libraries at all.
>
> If all you expect to happen after "apt-get install ffmpeg" is that
> there is an ffmpeg binary that is using the ffmpeg libraries, then
> this might be doable.

I think that would be a fair expectation.

> But if someone wants, as Lorenzo suggested, an "apt-get install ffmpeg" 
> to magically switch all applications like VLC from using libav to 
> ffmpeg, then one of the requirements for that would clearly be that
> there would have to be two versions of all binaries and libraries
> using libav/ffmpeg in the archive - one compiled with libav, and
> one compiled with ffmpeg.

I reread Lorenzo's email, and it doesn't actually say "switch all
applications like VLC from libav to ffmpeg".

He just said:

> users should be able to do
> 
> apt-get install ffmpeg
> 
> or
> 
> apr-get install libav

I think some people here are talking about using ffmpeg as a
commandline-based conversion tool, not necessarily the way you are
bringing up, as a library that (say) vlc is linking against.

> That would be technically insane, and politically impossible unless
> CTTE (or a GR) would override the likely veto from the Debian multimedia 
> maintainers for doing that in any of the packages they maintain.

Then maybe this RFP can focus on providing the ffmpeg binary again and
not necessarily get into replacing libav altogether, which I think was
the original intention here, hence my original email. :)

Cheers,

A.
-- 
Ce que les siècles des grands abatoirs nous aura appris
Devrait être inscrit au fond de toutes les écoles;
Voici l'homme: le destructeur des mondes est arrivé.
                        - [no one is innocent]
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 22:18:04 GMT) Full text and rfc822 format available.

Message #218 received at 729203@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: anarcat <anarcat@debian.org>
Cc: 729203@bugs.debian.org, Adrian Bunk <bunk@stusta.de>, 729203-submitter@bugs.debian.org
Subject: Re: CTTE and reasonable solutions
Date: Mon, 3 Feb 2014 20:13:43 -0200
First of all, thank you very much for CC'ing me, as I am not receiving
things from this bug report (despite having tried to subscribe to the bug).

On Feb 03 2014, anarcat wrote:
> On Fri, 10 Jan 2014 18:52:06 +0200, Adrian Bunk wrote:
> > It is a misconception that making this optional would be a reasonable 
> > solution - in reality the hassle that would create would is so huge   
> > that no sane person would want to implement the packaging for something 
> > like that.
> > 
> > Doing that for local use might not be too hard, but doing it 100% 
> > correct for a Debian release is simply not feasible.
> 
> Can you clarify why this is not possible? The library names of ffmpeg
> and libav now seem perfectly orthogonal and it seems to me it should be
> possible to ship Jessie with both libav and ffmpeg if someone would be
> willing to package the latter.

As Antoine mentioned, with good intentions, it is possible to ship ffmpeg in
Debian in time for the release of jessie. The problem is that there may not
be as many good intentions and the wish to work jointly to make this happen,
which is another matter completely (otherwise, why have the libav fork in
the first place?).

> It turns out that this is exactly what this bug report is about: we have
> one brave soul that is volunteering for that effort. He has also clearly
> stated why libav doesn't respond to his requirements.

Indeed, some people say that I like to work on packaging some hard to crack
packages (like handbrake, which required me to, essentially, patch the hell
out of it to make it compile and work work with Debian's libav and to avoid
the abundant use of embedded libraries; or the packaging of mongodb, which
was, essentially, dormant for some time, with bazillion embedded libraries
again, being used---it now has found some good hands to maintain it).

Regarding libav, it really, really falls short on many places in comparison
with ffmpeg. I can list features that it today, but they will be implemented
(well, some not) and, then, ffmpeg will have moved on with further useful
features that will be missing from libav and so on.

> If you have objections against ffmpeg being packaged in Debian, I suggest
> you clarify those instead of requiring Rogério to address the CTTE right
> away, which seems to me a little abusive.

Indeed, seeing the whole init system decision (which I have been following
*every* single day quietly), I can only think that some (not all) can not
really judge the technical merits of some software.

Furthermore, technical excellence (even in the ideal case or in the more
pragmatic sense of "well, it is not perfect, but it provides working
features that people really *need*") is being left behind with the current
decisions that Debian has taken.

> Rogério, I would suggest you go ahead with the packaging and an upload,
> don't let the flames fan your enthousiasm.

Thanks for the encouragement, Antoine. I am mostly paralized with this
situation and I don't really know how to proceed. I think that the forces of
having to potentially fight the tech-ctte, the pkg-multimedia-team, the
ftp-masters and some other people is that is preventing me right now from
packaging ffmpeg all by myself.

If other people join me in the work (and, most importantly, the
argumentation---well, the ffmpeg upstream team has been wonderfully
supportive of the initiative), then I may go on and package this thing.


Thanks for the support,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://cynic.cc/blog/ : github.com/rbrito : profiles.google.com/rbrito
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



Message sent on to Rogério Brito <rbrito@ime.usp.br>:
Bug#729203. (Mon, 03 Feb 2014 22:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 22:27:05 GMT) Full text and rfc822 format available.

Message #226 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Lorenzo Sutton <lorenzofsutton@gmail.com>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Tue, 4 Feb 2014 00:25:40 +0200
On Mon, Feb 03, 2014 at 04:32:49PM -0500, Antoine Beaupré wrote:
> On 2014-02-03 16:22:38, Adrian Bunk wrote:
>...
> > But if someone wants, as Lorenzo suggested, an "apt-get install ffmpeg" 
> > to magically switch all applications like VLC from using libav to 
> > ffmpeg, then one of the requirements for that would clearly be that
> > there would have to be two versions of all binaries and libraries
> > using libav/ffmpeg in the archive - one compiled with libav, and
> > one compiled with ffmpeg.
> 
> I reread Lorenzo's email, and it doesn't actually say "switch all
> applications like VLC from libav to ffmpeg".
> 
> He just said:
> 
> > users should be able to do
> > 
> > apt-get install ffmpeg
> > 
> > or
> > 
> > apr-get install libav
> 
> I think some people here are talking about using ffmpeg as a
> commandline-based conversion tool, not necessarily the way you are
> bringing up, as a library that (say) vlc is linking against.

Before what you quote he said in the same email:
  Agree with many on at least providing the *option* for users to have 
  the original ffmpeg instead of libav

There is no libav program, and he is clearly talking about the libraries.

> > That would be technically insane, and politically impossible unless
> > CTTE (or a GR) would override the likely veto from the Debian multimedia 
> > maintainers for doing that in any of the packages they maintain.
> 
> Then maybe this RFP can focus on providing the ffmpeg binary again and
> not necessarily get into replacing libav altogether, which I think was
> the original intention here, hence my original email. :)

No.

Rogério is listing in the initial email in this RFP many reasons for the
ffmpeg libraries. But he never mentions anything related to the ffmpeg
commandline programs.

Or are you seriously saying chromium would use the ffmpeg
commandline programs?

The ffmpeg/libav commandline programs are relatively rarely used - what 
is used heavily on Linux are the libraries.

> Cheers,
> 
> A.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 22:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 22:54:04 GMT) Full text and rfc822 format available.

Message #231 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: anarcat <anarcat@debian.org>, 729203@bugs.debian.org, 729203-submitter@bugs.debian.org
Subject: Re: CTTE and reasonable solutions
Date: Tue, 4 Feb 2014 00:50:32 +0200
On Mon, Feb 03, 2014 at 08:13:43PM -0200, Rogério Brito wrote:
>...
> > Rogério, I would suggest you go ahead with the packaging and an upload,
> > don't let the flames fan your enthousiasm.
> 
> Thanks for the encouragement, Antoine. I am mostly paralized with this
> situation and I don't really know how to proceed. I think that the forces of
> having to potentially fight the tech-ctte, the pkg-multimedia-team, the
> ftp-masters and some other people is that is preventing me right now from
> packaging ffmpeg all by myself.
> 
> If other people join me in the work (and, most importantly, the
> argumentation---well, the ffmpeg upstream team has been wonderfully
> supportive of the initiative), then I may go on and package this thing.
>...

You do know that ffmpeg and gazillions of programs like vlc and 
handbrake compiled against ffmpeg are already packaged in the usual 
external repository?

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Message sent on to Rogério Brito <rbrito@ime.usp.br>:
Bug#729203. (Mon, 03 Feb 2014 22:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 23:03:04 GMT) Full text and rfc822 format available.

Message #239 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Adrian Bunk <bunk@stusta.de>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Lorenzo Sutton <lorenzofsutton@gmail.com>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 03 Feb 2014 17:58:48 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-03 17:25:40, Adrian Bunk wrote:
> Before what you quote he said in the same email:
>   Agree with many on at least providing the *option* for users to have 
>   the original ffmpeg instead of libav
>
> There is no libav program, and he is clearly talking about the libraries.

I assumed libav included programs, and that is also what the wikipedia
article says. But maybe lorenzo can tell better what he meant than us.

I certainly mean that we could provide the program.

>> > That would be technically insane, and politically impossible unless
>> > CTTE (or a GR) would override the likely veto from the Debian multimedia 
>> > maintainers for doing that in any of the packages they maintain.
>> 
>> Then maybe this RFP can focus on providing the ffmpeg binary again and
>> not necessarily get into replacing libav altogether, which I think was
>> the original intention here, hence my original email. :)
>
> No.
>
> Rogério is listing in the initial email in this RFP many reasons for the
> ffmpeg libraries. But he never mentions anything related to the ffmpeg
> commandline programs.

He did mention he wanted to package ffmpeg as a replacement of libav, I
stand corrected.

> Or are you seriously saying chromium would use the ffmpeg
> commandline programs?

Now where did I ever mention chrome?

> The ffmpeg/libav commandline programs are relatively rarely used - what 
> is used heavily on Linux are the libraries.

I guess my use case is different then. Certainly there's a use case for
the ffmpeg program just working properly in the first place.

Taking a step back, there seems to be a lot of frustrations flying
around that issue, maybe it would be better to keep an open mind and try
to fix issues here.

One of the proposals on the table is to bring back ffmpeg, at least as a
program, possibly as a library. You seem to be saying that is "insane",
but I fail to see the technical reasons behind that argument, other than
debian-multimedia "vetoing" it. Maybe that discussion should be taken
there then? I see there was one email about ffmpeg on the mailing list
about a month ago, without any response, but that's all...

What's your proposal to fix the problems with libav mentionned in this
thread? What's your response to the claims that ffmpeg is a superset of
libav and that libav is lagging in development? If ffmpeg is technically
superior and compatible with libav, why shouldn't we package it?

I feel there's a knee-jerk reaction against the inclusion of ffmpeg
here, and I don't understand the technical reasons for that. Certainly
we could offer ffmpeg as a replacement (Conflicts: Replaces:) of libav
and people could choose between the two, especially if libav is such a
drop-in replacement for packages that depend on ffmpeg...

I think any Debian Developper is perfectly entitled to work on a ffmpeg
package, upload it to new and let the FTP masters decide what to do with
it. Now of course to make other packages use its libraries is a matter
that should be left to those other package's maintainers, that's a
different story, and not the topic of this RFP, from what I understand.

A.

-- 
To be naive and easily deceived is impermissible, today more than
ever, when the prevailing untruths may lead to a catastrophe because
they blind people to real dangers and real possibilities.
                        - Erich Fromm
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 23:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 23:12:08 GMT) Full text and rfc822 format available.

Message #244 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 729203@bugs.debian.org, Adrian Bunk <bunk@stusta.de>, 729203-submitter@bugs.debian.org
Subject: Re: CTTE and reasonable solutions
Date: Mon, 03 Feb 2014 18:08:45 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-03 17:13:43, Rogério Brito wrote:
>> Rogério, I would suggest you go ahead with the packaging and an upload,
>> don't let the flames fan your enthousiasm.
>
> Thanks for the encouragement, Antoine. I am mostly paralized with this
> situation and I don't really know how to proceed. I think that the forces of
> having to potentially fight the tech-ctte, the pkg-multimedia-team, the
> ftp-masters and some other people is that is preventing me right now from
> packaging ffmpeg all by myself.

I am not sure you should fight anyone here. Do the package, may it
policy-clean and it will pass NEW.

If someone wants to bring up something with the ctte, they can do it,
but you don't have to right now.

Having a discussion on pkg-multimedia may be necessary if other package
dependencies should be changed, and it is probably good practice to
discuss this topic on that mailing list, but it seems to me that people
shouldn't object to the inclusion of another package in debian solely on
the ground that they do not like it.

If both packages are ABI-compatible, then ffmpeg can be designed as a
drop-in replacement for libav and users will be free to choose.

We have a policy for such procedures. Our social contract also says we
should respond to the needs of users, and the overwhelming majority of
people on this issue have voiced their need for a working ffmpeg
implementation in Debian. We should respond to that.

A.

-- 
From the age of uniformity, from the age of solitude, from the age of
Big Brother, from the age of doublethink - greetings!
                        - Winston Smith, 1984
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 23:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 23:12:11 GMT) Full text and rfc822 format available.

Message #249 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Adrian Bunk <bunk@stusta.de>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Lorenzo Sutton <lorenzofsutton@gmail.com>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 03 Feb 2014 18:09:45 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-03 17:58:48, Antoine Beaupré wrote:
> I see there was one email about ffmpeg on the mailing list
> about a month ago, without any response, but that's all...

I was talking about the deprecated debian-multimedia, my bad.

A.

-- 
The Net treats censorship as damage and routes around it.
                         - John Gilmore
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Rogério Brito <rbrito@ime.usp.br>:
Bug#729203. (Mon, 03 Feb 2014 23:12:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 23:24:04 GMT) Full text and rfc822 format available.

Message #257 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Lorenzo Sutton <lorenzofsutton@gmail.com>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Tue, 4 Feb 2014 01:21:34 +0200
On Mon, Feb 03, 2014 at 05:58:48PM -0500, Antoine Beaupré wrote:
> On 2014-02-03 17:25:40, Adrian Bunk wrote:
>...
> >> Then maybe this RFP can focus on providing the ffmpeg binary again and
> >> not necessarily get into replacing libav altogether, which I think was
> >> the original intention here, hence my original email. :)
> >
> > No.
> >
> > Rogério is listing in the initial email in this RFP many reasons for the
> > ffmpeg libraries. But he never mentions anything related to the ffmpeg
> > commandline programs.
> 
> He did mention he wanted to package ffmpeg as a replacement of libav, I
> stand corrected.
> 
> > Or are you seriously saying chromium would use the ffmpeg
> > commandline programs?
> 
> Now where did I ever mention chrome?

You were claiming the original intention of this RFP was to provide the 
ffmpeg binary again.

Since the original intention of this RFP that you were referring to 
listed chromium, that implies that you were saying that chromium
would use the commandline tools.

>...
> One of the proposals on the table is to bring back ffmpeg, at least as a
> program, possibly as a library. You seem to be saying that is "insane",
>...

I would appreciate if you would in the future refrain from wrongly 
claiming that I said something, when I did in fact state the opposite:

<--  snip  -->

If all you expect to happen after "apt-get install ffmpeg" is that
there is an ffmpeg binary that is using the ffmpeg libraries, then
this might be doable.

<--  snip  -->

> but I fail to see the technical reasons behind that argument, other than
> debian-multimedia "vetoing" it. Maybe that discussion should be taken
> there then? I see there was one email about ffmpeg on the mailing list
> about a month ago, without any response, but that's all...

You do know the relevant history?

> What's your proposal to fix the problems with libav mentionned in this
> thread? What's your response to the claims that ffmpeg is a superset of
> libav and that libav is lagging in development? If ffmpeg is technically
> superior and compatible with libav, why shouldn't we package it?

All I am saying is that suggestiong along the lines of having both the 
libav and ffmpeg libraries and then switching between them through
"apt-get install" is insane.

If you disagree with the Debian Multimedia Maintainers on which to use 
in jessie, the conflict resolution process is in the Debian Constitution.

> I feel there's a knee-jerk reaction against the inclusion of ffmpeg
> here, and I don't understand the technical reasons for that. Certainly
> we could offer ffmpeg as a replacement (Conflicts: Replaces:) of libav
> and people could choose between the two, especially if libav is such a
> drop-in replacement for packages that depend on ffmpeg...

What part of the technical reason "a binary/library compiled against
a library cannot be used with a version of this library with a different 
soname" don't you understand?

> I think any Debian Developper is perfectly entitled to work on a ffmpeg
> package, upload it to new and let the FTP masters decide what to do with
> it. Now of course to make other packages use its libraries is a matter
> that should be left to those other package's maintainers, that's a
> different story, and not the topic of this RFP, from what I understand.

You already agreed that your claim "The library names of ffmpeg and 
libav now seem perfectly orthogonal" is not true.

That is a mess, and would have to be sorted out by the Debian libav and 
ffmpeg maintainers before such an upload could happen.

> A.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Mon, 03 Feb 2014 23:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Larres <jan@majutsushi.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 23:39:09 GMT) Full text and rfc822 format available.

Message #262 received at 729203@bugs.debian.org (full text, mbox):

From: Jan Larres <jan@majutsushi.net>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>
Cc: Adrian Bunk <bunk@stusta.de>, 729203-submitter@bugs.debian.org
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Tue, 04 Feb 2014 12:23:37 +1300
On 04/02/14 12:08, Antoine Beaupré wrote:
> If both packages are ABI-compatible, then ffmpeg can be designed as a
> drop-in replacement for libav and users will be free to choose.

As far as I understand it the problem is that it is *not* a drop-in
replacement as far as the libraries are concerned, every package needs
to be recompiled depending on which library should be used. So you would
need two different packages for every program that uses the libraries if
you wanted to offer both in parallel. And I don't think Adrian (or
anyone else) is against ffmpeg as such, it's just that there should be
made a decision which one to use in order to avoid these issues.

Jan



Message sent on to Rogério Brito <rbrito@ime.usp.br>:
Bug#729203. (Mon, 03 Feb 2014 23:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 04 Feb 2014 00:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Feb 2014 00:18:04 GMT) Full text and rfc822 format available.

Message #270 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Adrian Bunk <bunk@stusta.de>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Lorenzo Sutton <lorenzofsutton@gmail.com>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 03 Feb 2014 19:13:57 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-03 18:21:34, Adrian Bunk wrote:
> On Mon, Feb 03, 2014 at 05:58:48PM -0500, Antoine Beaupré wrote:
>> On 2014-02-03 17:25:40, Adrian Bunk wrote:
>>...
> Since the original intention of this RFP that you were referring to 
> listed chromium, that implies that you were saying that chromium
> would use the commandline tools.

I obviously wasn't saying that. I also stated above "I stand corrected",
what else do you need here?

>> One of the proposals on the table is to bring back ffmpeg, at least as a
>> program, possibly as a library. You seem to be saying that is "insane",
>>...
>
> I would appreciate if you would in the future refrain from wrongly 
> claiming that I said something, when I did in fact state the opposite:
>
> <--  snip  -->
>
> If all you expect to happen after "apt-get install ffmpeg" is that
> there is an ffmpeg binary that is using the ffmpeg libraries, then
> this might be doable.
>
> <--  snip  -->

I am refering to your position which you restate below....

>> but I fail to see the technical reasons behind that argument, other than
>> debian-multimedia "vetoing" it. Maybe that discussion should be taken
>> there then? I see there was one email about ffmpeg on the mailing list
>> about a month ago, without any response, but that's all...
>
> You do know the relevant history?

I am familiar with the fork, yes. However, things change and it seems
that ffmpeg has picked up a lot of speed since the fork. Maybe it's time
to reopen that discussion?

Or maybe not, considering how this is going so far...

>> What's your proposal to fix the problems with libav mentionned in this
>> thread? What's your response to the claims that ffmpeg is a superset of
>> libav and that libav is lagging in development? If ffmpeg is technically
>> superior and compatible with libav, why shouldn't we package it?
>
> All I am saying is that suggestiong along the lines of having both the 
> libav and ffmpeg libraries and then switching between them through
> "apt-get install" is insane.

I do not see any answer to the technical questions I have asked above. I
also do not see why this proposal is inherently "insane".

> If you disagree with the Debian Multimedia Maintainers on which to use 
> in jessie, the conflict resolution process is in the Debian Constitution.

I am aware of the constitution as well, thanks. I wasn't aware I was in
a conflict resolution process already, I was trying to get information
about the situation. Things escalate quick around here don't they? :)

>> I feel there's a knee-jerk reaction against the inclusion of ffmpeg
>> here, and I don't understand the technical reasons for that. Certainly
>> we could offer ffmpeg as a replacement (Conflicts: Replaces:) of libav
>> and people could choose between the two, especially if libav is such a
>> drop-in replacement for packages that depend on ffmpeg...
>
> What part of the technical reason "a binary/library compiled against
> a library cannot be used with a version of this library with a different 
> soname" don't you understand?

Well, that's one answer, thanks.

I was under the understanding that ffmpeg was trying to keep backwards
compatibility with libav, I guess that is all much clearer now.

One thing I don't understand is how difficult this conversation feels
for me right now. Maybe it's just me, but I was just looking at an offer
to work on ffmpeg in Debian by a volunteer, and this is turning out to
be a difficult conversation, what happened?

>> I think any Debian Developper is perfectly entitled to work on a ffmpeg
>> package, upload it to new and let the FTP masters decide what to do with
>> it. Now of course to make other packages use its libraries is a matter
>> that should be left to those other package's maintainers, that's a
>> different story, and not the topic of this RFP, from what I understand.
>
> You already agreed that your claim "The library names of ffmpeg and 
> libav now seem perfectly orthogonal" is not true.

I fail to understand what that statement brings to the
conversation. Does that make me a bad person? :P

> That is a mess, and would have to be sorted out by the Debian libav and 
> ffmpeg maintainers before such an upload could happen.

That would be great! I support such an initiative.

I'm glad we agree.

A.

-- 
Antoine Beaupré +++ Réseau Koumbit Networks +++ +1.514.387.6262 #208
--------------------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 04 Feb 2014 00:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Feb 2014 00:18:08 GMT) Full text and rfc822 format available.

Message #275 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: 729203@bugs.debian.org
Subject: Fwd: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 3 Feb 2014 16:14:34 -0800
[Message part 1 (text/plain, inline)]
Sorry, forgot to CC bug tracker...
---------- Forwarded message ----------
From: "Timothy Gu" <timothygu99@gmail.com>
Date: Feb 3, 2014 3:28 PM
Subject: Re: Bug#729203: CTTE and reasonable solutions
To: "Antoine Beaupré" <anarcat@debian.org>
Cc:


On Feb 3, 2014 3:12 PM, "Antoine Beaupré" <anarcat@debian.org> wrote:
>
> On 2014-02-03 17:13:43, Rogério Brito wrote:
> >> Rogério, I would suggest you go ahead with the packaging and an upload,
> >> don't let the flames fan your enthousiasm.
> >
> > Thanks for the encouragement, Antoine. I am mostly paralized with this
> > situation and I don't really know how to proceed. I think that the
forces of
> > having to potentially fight the tech-ctte, the pkg-multimedia-team, the
> > ftp-masters and some other people is that is preventing me right now
from
> > packaging ffmpeg all by myself.
>
> I am not sure you should fight anyone here. Do the package, may it
> policy-clean and it will pass NEW.
>
> If someone wants to bring up something with the ctte, they can do it,
> but you don't have to right now.
>
> Having a discussion on pkg-multimedia may be necessary if other package
> dependencies should be changed, and it is probably good practice to
> discuss this topic on that mailing list, but it seems to me that people
> shouldn't object to the inclusion of another package in debian solely on
> the ground that they do not like it.
>

> If both packages are ABI-compatible, then ffmpeg can be designed as a
> drop-in replacement for libav and users will be free to choose.

Mostly, but even with FFmpeg's attempt, not entirely IIRC.

I tried to use abi-compliance-checker once, but failed, and i didnt have
much time to delve into how to use it.

Also Debian's very own ABI checking program icheck has some bugs,
ironically, on testing FFmpeg
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=427461.

>
> We have a policy for such procedures. Our social contract also says we
> should respond to the needs of users, and the overwhelming majority of
> people on this issue have voiced their need for a working ffmpeg
> implementation in Debian. We should respond to that.

Exactly.

[...]

Timothy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 04 Feb 2014 00:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Feb 2014 00:18:11 GMT) Full text and rfc822 format available.

Message #280 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: 729203@bugs.debian.org
Subject: Fwd: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 3 Feb 2014 16:14:47 -0800
[Message part 1 (text/plain, inline)]
Sorry, forgot to CC bug tracker...
---------- Forwarded message ----------
From: "Timothy Gu" <timothygu99@gmail.com>
Date: Feb 3, 2014 3:32 PM
Subject: Re: Bug#729203: CTTE and reasonable solutions
To: "Adrian Bunk" <bunk@stusta.de>
Cc:


On Feb 3, 2014 3:24 PM, "Adrian Bunk" <bunk@stusta.de> wrote:

> That is a mess, and would have to be sorted out by the Debian libav and
> ffmpeg maintainers before such an upload could happen.

Agreed. But not exactly sure whether pkg-multimedia would want to
collaborate...

Timothy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 04 Feb 2014 00:18:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Feb 2014 00:18:14 GMT) Full text and rfc822 format available.

Message #285 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: 729203@bugs.debian.org
Subject: Fwd: Re: Bug#729203: CTTE and reasonable solutions
Date: Mon, 3 Feb 2014 16:15:07 -0800
[Message part 1 (text/plain, inline)]
Sorry, forgot to CC bug tracker...

---------- Forwarded message ----------
From: "Timothy Gu" <timothygu99@gmail.com>
Date: Feb 3, 2014 3:56 PM
Subject: Re: Bug#729203: CTTE and reasonable solutions
To: "Jan Larres" <jan@majutsushi.net>
Cc:

>
> On Feb 3, 2014 3:39 PM, "Jan Larres" <jan@majutsushi.net> wrote:
> >
> > On 04/02/14 12:08, Antoine Beaupré wrote:
> > > If both packages are ABI-compatible, then ffmpeg can be designed as a
> > > drop-in replacement for libav and users will be free to choose.
> >
> > As far as I understand it the problem is that it is *not* a drop-in
> > replacement as far as the libraries are concerned, every package needs
> > to be recompiled depending on which library should be used. So you would
> > need two different packages for every program that uses the libraries if
> > you wanted to offer both in parallel. And I don't think Adrian (or
> > anyone else) is against ffmpeg as such, it's just that there should be
> > made a decision which one to use in order to avoid these issues.
>
> It's not as bad as you think. FFmpeg has a
--enable-libav-incompatible-abi configure option. Didn't test the
effectiveness of it though.
>
> Timothy
>
> >
> > Jan
> >
> > --
> > To unsubscribe, send mail to 729203-unsubscribe@bugs.debian.org.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 04 Feb 2014 10:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lorenzo Sutton <lorenzofsutton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Feb 2014 10:03:09 GMT) Full text and rfc822 format available.

Message #290 received at 729203@bugs.debian.org (full text, mbox):

From: Lorenzo Sutton <lorenzofsutton@gmail.com>
To: Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Tue, 04 Feb 2014 10:59:50 +0100
On 03/02/2014 23:25, Adrian Bunk wrote:
> On Mon, Feb 03, 2014 at 04:32:49PM -0500, Antoine Beaupré wrote:
>> On 2014-02-03 16:22:38, Adrian Bunk wrote:
>> ...
>>> But if someone wants, as Lorenzo suggested, an "apt-get install ffmpeg"
>>> to magically switch all applications like VLC from using libav to
>>> ffmpeg, then one of the requirements for that would clearly be that
>>> there would have to be two versions of all binaries and libraries
>>> using libav/ffmpeg in the archive - one compiled with libav, and
>>> one compiled with ffmpeg.
>>
>> I reread Lorenzo's email, and it doesn't actually say "switch all
>> applications like VLC from libav to ffmpeg".
>>
>> He just said:
>>
>>> users should be able to do
>>>
>>> apt-get install ffmpeg
>>>
>>> or
>>>
>>> apr-get install libav
>>
>> I think some people here are talking about using ffmpeg as a
>> commandline-based conversion tool, not necessarily the way you are
>> bringing up, as a library that (say) vlc is linking against.

That's what I meant in my message. I'm referrig to ffmpeg vs. avconv - I 
should probably have written:

apt-get install libav-tools

to make it more clear.


>
> Before what you quote he said in the same email:
>    Agree with many on at least providing the *option* for users to have
>    the original ffmpeg instead of libav
>
> There is no libav program, and he is clearly talking about the libraries.

Actually I meant the binary.
I guess lots of the confusion (at least from a users' point of view) 
comes from the fact that the description of the ffmpeg package states:

" Libav is a complete, cross-platform solution to decode, encode, 
record, convert and stream audio and video.

 This package contains the deprecated ffmpeg program. This package also 
serves as a transitional package to libav-tools. Users are
 advised to use avconv from the libav-tools package instead of ffmpeg.
Homepage: http://libav.org/
"

Without getting into the politics of it... I think this is at least 
confusing for many user.

[...]

>
> The ffmpeg/libav commandline programs are relatively rarely used - what
> is used heavily on Linux are the libraries.

Do you have any data to support such claim? I personally use ffmpeg 
commandline tool quite a lot. Clearly being one person I'm not a 
representative sample but would be interesting to know if some sort of 
survey/statistics could be produced.

Ciao
Lorenzo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 05 Feb 2014 06:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Feb 2014 06:48:04 GMT) Full text and rfc822 format available.

Message #295 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Lorenzo Sutton <lorenzofsutton@gmail.com>
Cc: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Wed, 5 Feb 2014 08:44:18 +0200
On Tue, Feb 04, 2014 at 10:59:50AM +0100, Lorenzo Sutton wrote:
> On 03/02/2014 23:25, Adrian Bunk wrote:
>...
> I guess lots of the confusion (at least from a users' point of view)
> comes from the fact that the description of the ffmpeg package
> states:
> 
> " Libav is a complete, cross-platform solution to decode, encode,
> record, convert and stream audio and video.
> 
>  This package contains the deprecated ffmpeg program. This package
> also serves as a transitional package to libav-tools. Users are
>  advised to use avconv from the libav-tools package instead of ffmpeg.
> Homepage: http://libav.org/
> "
> 
> Without getting into the politics of it... I think this is at least
> confusing for many user.
>...

That was fixed last year September when the ffmpeg packages was removed 
from unstable.

> Ciao
> Lorenzo

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 05 Feb 2014 06:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Feb 2014 06:51:08 GMT) Full text and rfc822 format available.

Message #300 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Lorenzo Sutton <lorenzofsutton@gmail.com>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Wed, 5 Feb 2014 08:47:23 +0200
On Mon, Feb 03, 2014 at 07:13:57PM -0500, Antoine Beaupré wrote:
> On 2014-02-03 18:21:34, Adrian Bunk wrote:
> > On Mon, Feb 03, 2014 at 05:58:48PM -0500, Antoine Beaupré wrote:
>...
> >> One of the proposals on the table is to bring back ffmpeg, at least as a
> >> program, possibly as a library. You seem to be saying that is "insane",
> >>...
> >
> > I would appreciate if you would in the future refrain from wrongly 
> > claiming that I said something, when I did in fact state the opposite:
> >
> > <--  snip  -->
> >
> > If all you expect to happen after "apt-get install ffmpeg" is that
> > there is an ffmpeg binary that is using the ffmpeg libraries, then
> > this might be doable.
> >
> > <--  snip  -->
> 
> I am refering to your position which you restate below....

No.

What you were claiming was that I would have called it "insane" bringing 
back ffmpeg *at least as a program*.

This claim is false.

The value of having only the ffmpeg programs without the libraries would 
be very limited.

And it is clear that any statement "ffmpeg is back in Debian" would be 
considered a bad joke by most people interested in libav and/or ffmpeg 
if it would turn out that only the programs would be in Debian and not 
the libraries.

But contrary to what you were claiming, the word I used was not 
"insane", I said it would be "doable".

Insane would be attempting to have both the libav and the ffmpeg 
libraries in Debian in parallel.

>...
> >> What's your proposal to fix the problems with libav mentionned in this
> >> thread? What's your response to the claims that ffmpeg is a superset of
> >> libav and that libav is lagging in development? If ffmpeg is technically
> >> superior and compatible with libav, why shouldn't we package it?
> >
> > All I am saying is that suggestiong along the lines of having both the 
> > libav and ffmpeg libraries and then switching between them through
> > "apt-get install" is insane.
> 
> I do not see any answer to the technical questions I have asked above.
>...

There is no point in a technical discussion between you and me whether 
libav or ffmpeg is better - even if I'd agree that wouldn't change 
anything.

If you think ffmpeg is superior to libav and should therefore be shipped 
in jessie instead of libav, you have to discuss that with the Debian 
multimedia maintainers.

And if you don't come to an agreement with them, the Debian Constitution 
describes in detail your options for having their decision overridden.

The only thing I am saying is that having both libraries in the archive 
would not be a reasonable option for the reasons I've already explained.


cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 05 Feb 2014 06:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Feb 2014 06:51:12 GMT) Full text and rfc822 format available.

Message #305 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Timothy Gu <timothygu99@gmail.com>, 729203@bugs.debian.org
Cc: rbrito@ime.usp.br
Subject: Re: Bug#729203: Fwd: Re: Bug#729203: CTTE and reasonable solutions
Date: Wed, 5 Feb 2014 08:47:42 +0200
> On Feb 3, 2014 3:24 PM, "Adrian Bunk" <bunk@stusta.de> wrote:
> 
> > That is a mess, and would have to be sorted out by the Debian libav and
> > ffmpeg maintainers before such an upload could happen.
> 
> Agreed. But not exactly sure whether pkg-multimedia would want to
> collaborate...

Considering the history of the libav/ffmpeg split it is very unlikely 
that they would.

No matter what you do, for bringing the ffmpeg libraries back into 
Debian you will likely at some point need to have the opinion of
pkg-multimedia overridden by either the TC or a GR.

> Timothy

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 05 Feb 2014 06:51:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Feb 2014 06:51:16 GMT) Full text and rfc822 format available.

Message #310 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Timothy Gu <timothygu99@gmail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Fwd: Re: Bug#729203: CTTE and reasonable solutions
Date: Wed, 5 Feb 2014 08:47:54 +0200
On Mon, Feb 03, 2014 at 04:15:07PM -0800, Timothy Gu wrote:
>...
> > On Feb 3, 2014 3:39 PM, "Jan Larres" <jan@majutsushi.net> wrote:
> > >
> > > On 04/02/14 12:08, Antoine Beaupré wrote:
> > > > If both packages are ABI-compatible, then ffmpeg can be designed as a
> > > > drop-in replacement for libav and users will be free to choose.
> > >
> > > As far as I understand it the problem is that it is *not* a drop-in
> > > replacement as far as the libraries are concerned, every package needs
> > > to be recompiled depending on which library should be used. So you would
> > > need two different packages for every program that uses the libraries if
> > > you wanted to offer both in parallel. And I don't think Adrian (or
> > > anyone else) is against ffmpeg as such, it's just that there should be
> > > made a decision which one to use in order to avoid these issues.
> >
> > It's not as bad as you think. FFmpeg has a
> --enable-libav-incompatible-abi configure option. Didn't test the
> effectiveness of it though.

This makes some functions that have different signatures in libav and 
ffmpeg API-compatible with libav by switching them to the libav one.

It does not change the sonames of the ffmpeg libraries.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 05 Feb 2014 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Novak <juergen.lindemeyer@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Feb 2014 19:00:04 GMT) Full text and rfc822 format available.

Message #315 received at 729203@bugs.debian.org (full text, mbox):

From: Juergen Novak <juergen.lindemeyer@gmx.net>
To: 729203@bugs.debian.org
Subject: Walk the talk!
Date: Wed, 05 Feb 2014 19:55:02 +0100
I also support this request.

Please, don't drop the good stuff, just because something new shiny 
seems to be here ... it is not!

I am using Debian, because I was annoyed by other distros that just jump 
on the newest bandwagon just to see how the ride will be. Now I 
understand, that Debian is doing the same with ffmpeg.

I understand (and have seen) that libav/avconv does not support as many 
options as ffmpeg does and has many more bugs.

Why not at least let the users decide? Why force this change on them and 
break existing code (shell scripts etc.) just to conform to the newest 
trend?

Is this the Debian way? Than I might have to leave also this distro, 
because it does not practice as it claims.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 06 Feb 2014 01:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to jimmy fernandes <supercracker1978@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Feb 2014 01:54:09 GMT) Full text and rfc822 format available.

Message #320 received at 729203@bugs.debian.org (full text, mbox):

From: jimmy fernandes <supercracker1978@gmail.com>
To: 729203@bugs.debian.org
Subject: Sent from game
Date: Wed, 5 Feb 2014 19:50:27 -0600
[Message part 1 (text/plain, inline)]

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Fri, 07 Feb 2014 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dietmar Schabus <schabus@ftw.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 07 Feb 2014 11:00:05 GMT) Full text and rfc822 format available.

Message #325 received at 729203@bugs.debian.org (full text, mbox):

From: Dietmar Schabus <schabus@ftw.at>
To: <729203@bugs.debian.org>
Subject: support request for providing ffmpeg *program*
Date: Fri, 7 Feb 2014 11:51:51 +0100
I also support the request for bringing back the ffmpeg *program*.

I think most people (who are not involved in the development and/or
package maintenance of libav or ffmpeg; like myself) do not have a
strong opinion on which library vlc, chromium or other programs use.
It's the decision of the developers and/or package maintainers of those
programs which one the use, and it is their responsibility to make sure
those programs still work correctly after a switch from one library to
another. I dare to say that most users would not even notice.

What people do notice, is when their scripts fail because a program they
have been using for a long time is "silently" replaced with something
else that doesn't work in the (exact) same way.

It took me quite some time to figure out what was going on, when I tried
to apt-get install ffmpeg on a new machine where I hadn't added
deb-multimedia to the repositories yet (which I had on other machines,
but for different reasons) and it didn't behave as expected. I had never
heard of libav before, and I don't think I completely understand the
situation, even after reading
http://blog.pkh.me/p/13-the-ffmpeg-libav-situation.html and this page
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729203) and I
certainly don't want to jump into what seems to be a very hot discussion.

On 2014-02-05 07:44, Adrian Bunk wrote:
> That was fixed last year September when the ffmpeg packages was
> removed from unstable.

The confusing *transitional* packages that is. That is certainly better
than the current situation in stable, but actually having back ffmpeg
(the program) would make almost everyone happy, I believe.

Cheers, Dietmar



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 11 Feb 2014 03:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Feb 2014 03:15:08 GMT) Full text and rfc822 format available.

Message #330 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: rbrito@ime.usp.br
Cc: 729203@bugs.debian.org
Subject: ffmpeg packaging progress?
Date: Mon, 10 Feb 2014 22:13:04 -0500
[Message part 1 (text/plain, inline)]
Is there a git repository or a source for a ffmpeg package?

I understand there's a controversy against its inclusion in the main
archive, but right now I have stumbled upon a bug (#738599) which keeps
me from reading videos with libav. I'd like to see if I can reproduce
the problem with ffmpeg, and possibly read the darn file. :)

If not, I'll start my own somewhere so that people that compile manually
ffmpeg on Debian at least have a semi-official way of doing so without
reverting to deb-multimedia.org, something which I assume we all want to
avoid here.

A.

-- 
Voter, c'est abdiquer
                        - Élisée Reclus
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 11 Feb 2014 04:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Feb 2014 04:54:05 GMT) Full text and rfc822 format available.

Message #335 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: rbrito@ime.usp.br
Cc: 729203@bugs.debian.org
Subject: Re: ffmpeg packaging progress?
Date: Mon, 10 Feb 2014 23:50:44 -0500
[Message part 1 (text/plain, inline)]
Here it goes - I have been able to make a statically-built ffmpeg
package that can be installed alongside libav harmlessly. It doesn't
replace the libav libraries, so things like VLC and others still link
against libav.

This package doesn't exhibit bug #738599.

I pushed this on github for now:

https://github.com/anarcat/FFmpeg/tree/debian/debian

This can allow people to build ffmpeg binaries reliably under Debian sid
and jessie right now.

It is currently non-free because if links against libfaac0 and so
on. But it's a good start, I believe.

This package is based on Marillat's ffmpeg packages, so it will need to
import a lot of the improvements from the libav packages, amongst other
things. There's a TODO in the debian/ directory explaining required
work.

Enjoy!

A.
-- 
Tout ce qui n’est pas donné est perdu.
                        - Proverbe indien
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 11 Feb 2014 18:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Feb 2014 18:09:10 GMT) Full text and rfc822 format available.

Message #340 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org
Subject: Re: Bug#729203: ffmpeg packaging progress?
Date: Tue, 11 Feb 2014 10:04:53 -0800
Hello,

On Mon, Feb 10, 2014 at 8:50 PM, Antoine Beaupré <anarcat@debian.org> wrote:
> Here it goes - I have been able to make a statically-built ffmpeg
> package that can be installed alongside libav harmlessly. It doesn't
> replace the libav libraries, so things like VLC and others still link
> against libav.
>
> This package doesn't exhibit bug #738599.
>
> I pushed this on github for now:
>
> https://github.com/anarcat/FFmpeg/tree/debian/debian
>
> This can allow people to build ffmpeg binaries reliably under Debian sid
> and jessie right now.
>
> It is currently non-free because if links against libfaac0 and so
> on. But it's a good start, I believe.
>
> This package is based on Marillat's ffmpeg packages, so it will need to
> import a lot of the improvements from the libav packages, amongst other
> things. There's a TODO in the debian/ directory explaining required
> work.
>
> Enjoy!

I have experimented with the new --enable-rpath configure option of
FFmpeg, and found that it is even possible to install shared libraries
alongside Libav, without interrupting Libav headers, programs, or
libraries. See my gist: https://gist.github.com/TimothyGu/8533059

I have also tried to build http://mpv.io/ with ffmpeg instead of
libav, and I received success in doing tthat as well. Build script is
in the gist as well.

Timothy



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 11 Feb 2014 18:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Feb 2014 18:27:09 GMT) Full text and rfc822 format available.

Message #345 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Timothy Gu <timothygu99@gmail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: ffmpeg alongside libav
Date: Tue, 11 Feb 2014 13:22:48 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-11 13:04:53, Timothy Gu wrote:
> I have experimented with the new --enable-rpath configure option of
> FFmpeg, and found that it is even possible to install shared libraries
> alongside Libav, without interrupting Libav headers, programs, or
> libraries. See my gist: https://gist.github.com/TimothyGu/8533059

Hum... isn't that because you install in /usr/local more than -rpath?

Besides, -rpath is actually a lintian warning:

http://lintian.debian.org/tags/binary-or-shlib-defines-rpath.html

... so we shouldn't use that, generally. I would rather try to check to
see if we could sync the packages to make them ABI-compatible.

> I have also tried to build http://mpv.io/ with ffmpeg instead of
> libav, and I received success in doing tthat as well. Build script is
> in the gist as well.

Thanks for sharing! That will certainly be useful for others.

A.

-- 
I'm sorry if any of you are catholic. I'm not sorry if you're
offended, I'm actually just sorry by the fact that you're catholic
                         - Bill Hicks
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 12 Feb 2014 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Feb 2014 00:03:04 GMT) Full text and rfc822 format available.

Message #350 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org
Subject: Re: Bug#729203: ffmpeg alongside libav
Date: Tue, 11 Feb 2014 16:00:45 -0800
[Message part 1 (text/plain, inline)]
On Feb 11, 2014 10:27 AM, "Antoine Beaupré" <anarcat@debian.org> wrote:
>
> On 2014-02-11 13:04:53, Timothy Gu wrote:
> > I have experimented with the new --enable-rpath configure option of
> > FFmpeg, and found that it is even possible to install shared libraries
> > alongside Libav, without interrupting Libav headers, programs, or
> > libraries. See my gist: https://gist.github.com/TimothyGu/8533059
>

> Hum... isn't that because you install in /usr/local more than -rpath?

I used /usr/local because if I mess up I can delete the installation
completely. But it should work with /usr.

>
> Besides, -rpath is actually a lintian warning:
>
> http://lintian.debian.org/tags/binary-or-shlib-defines-rpath.html

The page states that:

The only time a binary or shared library in a Debian package should set
RPATH is if it is linked to private shared libraries in the same package.
In that case, place those private shared libraries in /usr/lib/*package*.

That's exactly what's happening here if we'd like to add the ffmpeg
programs but not use the libraries for other packages. Still, shared
libraries are better than statically linking the ffmpeg programs.

>
> ... so we shouldn't use that, generally. I would rather try to check to
> see if we could sync the packages to make them ABI-compatible.

I'd be interested in the results.

>
> > I have also tried to build http://mpv.io/ with ffmpeg instead of
> > libav, and I received success in doing tthat as well. Build script is
> > in the gist as well.
>
> Thanks for sharing! That will certainly be useful for others.

It should work for all applications wishing to support FFmpeg, including
VLC. But the PKG_CONFIG_PATH is really not optimal.

Timothy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 12 Feb 2014 00:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Feb 2014 00:12:04 GMT) Full text and rfc822 format available.

Message #355 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Timothy Gu <timothygu99@gmail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: ffmpeg alongside libav
Date: Tue, 11 Feb 2014 19:09:24 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-11 19:00:45, Timothy Gu wrote:
> On Feb 11, 2014 10:27 AM, "Antoine Beaupré" <anarcat@debian.org> wrote:
>>
>> On 2014-02-11 13:04:53, Timothy Gu wrote:
>> > I have experimented with the new --enable-rpath configure option of
>> > FFmpeg, and found that it is even possible to install shared libraries
>> > alongside Libav, without interrupting Libav headers, programs, or
>> > libraries. See my gist: https://gist.github.com/TimothyGu/8533059
>>
>
>> Hum... isn't that because you install in /usr/local more than -rpath?
>
> I used /usr/local because if I mess up I can delete the installation
> completely. But it should work with /usr.

Understood.

>> Besides, -rpath is actually a lintian warning:
>>
>> http://lintian.debian.org/tags/binary-or-shlib-defines-rpath.html
>
> The page states that:
>
> The only time a binary or shared library in a Debian package should set
> RPATH is if it is linked to private shared libraries in the same package.
> In that case, place those private shared libraries in /usr/lib/*package*.
>
> That's exactly what's happening here if we'd like to add the ffmpeg
> programs but not use the libraries for other packages. Still, shared
> libraries are better than statically linking the ffmpeg programs.

Ah, right, I see what you mean. I guess it would be better, but I think
it's only a marginal gain over a statically linked binary: it would
bring some confusion over the purpose of those libraries... Would other
packages be allowed to link against them?

>> ... so we shouldn't use that, generally. I would rather try to check to
>> see if we could sync the packages to make them ABI-compatible.
>
> I'd be interested in the results.

Yeah, I'm not sure I'll get into that now, but I would welcome other
brave souls stepping into this.

I was merely scratching an itch to watch that silly video after all. :)

>> > I have also tried to build http://mpv.io/ with ffmpeg instead of
>> > libav, and I received success in doing tthat as well. Build script is
>> > in the gist as well.
>>
>> Thanks for sharing! That will certainly be useful for others.
>
> It should work for all applications wishing to support FFmpeg, including
> VLC. But the PKG_CONFIG_PATH is really not optimal.

That, and -rpath is designed for private libraries, so I don't think
that could end up in the archive legitimately.

A static link, on the other hand, may have a legitimate purpose.

A.

-- 
Advertisers, not governments, are the primary censors of media content 
in the United States today.
                        - C. Edwin Baker
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 12 Feb 2014 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anssi Hannula <anssi@xbmc.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Feb 2014 00:39:04 GMT) Full text and rfc822 format available.

Message #360 received at 729203@bugs.debian.org (full text, mbox):

From: Anssi Hannula <anssi@xbmc.org>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org
Cc: Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: ffmpeg alongside libav
Date: Wed, 12 Feb 2014 02:25:57 +0200
12.02.2014 02:09, Antoine Beaupré kirjoitti:
> On 2014-02-11 19:00:45, Timothy Gu wrote:
>> On Feb 11, 2014 10:27 AM, "Antoine Beaupré" <anarcat@debian.org> wrote:
>>>
>>> Besides, -rpath is actually a lintian warning:
>>>
>>> http://lintian.debian.org/tags/binary-or-shlib-defines-rpath.html
>>
>> The page states that:
>>
>> The only time a binary or shared library in a Debian package should set
>> RPATH is if it is linked to private shared libraries in the same package.
>> In that case, place those private shared libraries in /usr/lib/*package*.
>>
>> That's exactly what's happening here if we'd like to add the ffmpeg
>> programs but not use the libraries for other packages. Still, shared
>> libraries are better than statically linking the ffmpeg programs.
> 
> Ah, right, I see what you mean. I guess it would be better, but I think
> it's only a marginal gain over a statically linked binary: it would
> bring some confusion over the purpose of those libraries... Would other
> packages be allowed to link against them?

Well, statically linking all the four ff* executables of ffmpeg would
quadruple the total size due to duplication, and the libraries already
take over 10MB even without that...

-- 
Anssi Hannula




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 12 Feb 2014 01:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Feb 2014 01:24:08 GMT) Full text and rfc822 format available.

Message #365 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Anssi Hannula <anssi@xbmc.org>, 729203@bugs.debian.org
Cc: Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: ffmpeg alongside libav
Date: Tue, 11 Feb 2014 20:21:27 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-11 19:25:57, Anssi Hannula wrote:
> Well, statically linking all the four ff* executables of ffmpeg would
> quadruple the total size due to duplication, and the libraries already
> take over 10MB even without that...

Point taken, patches / pull requests / git send-email welcome. :P

Note that at this point, I have lost interest in this a little since my
peculiar bug is fixed in libav 10, available in experimental. :)

A.

-- 
Pour marcher au pas d'une musique militaire, il n'y a pas besoin de
cerveau, une moelle épinière suffit.
                        - Albert Enstein
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 12 Feb 2014 01:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Feb 2014 01:33:04 GMT) Full text and rfc822 format available.

Message #370 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org
Subject: Re: Bug#729203: ffmpeg alongside libav
Date: Tue, 11 Feb 2014 17:28:09 -0800
[Message part 1 (text/plain, inline)]
On Feb 11, 2014 4:09 PM, "Antoine Beaupré" <anarcat
<anarcat@debian.org>@<anarcat@debian.org>
debian.org <anarcat@debian.org>> wrote:
>
> On 2014-02-11 19:00:45, Timothy Gu wrote:
> > On Feb 11, 2014 10:27 AM, "Antoine Beaupré" <anarcat<anarcat@debian.org>
@ <anarcat@debian.org>debian.org <anarcat@debian.org>> wrote:
> >>
> >> On 2014-02-11 13:04:53, Timothy Gu wrote:

> >> > I have also tried to build http:// <http://mpv.io/>mpv.io/<http://mpv.io/> with
ffmpeg instead of
> >> > libav, and I received success in doing tthat as well. Build script is
> >> > in the gist as well.
> >>
> >> Thanks for sharing! That will certainly be useful for others.
> >
> > It should work for all applications wishing to support FFmpeg, including
> > VLC. But the PKG_CONFIG_PATH is really not optimal.
>

> That, and -rpath is designed for private libraries, so I don't think
> that could end up in the archive legitimately.

To add ffmpeg to Debian, we have four options:

1. Make both programs and libraries available as a replacement for Libav.
This would require full ABI, API, and behavior compatibility. This is the
best if compatibilities are satisfied.

2. Use RPATH to make shared build libraries and programs and static
libraries available. This is my solution for incompatible libraries. This
way, ffmpeg programs can share libraries, and users who wish to use ffmpeg
for other programs can compile the apps *themselves*, either dynamically or
statically. The inconvenience of this method is mainly that a user must
compile apps themselves.

3. Make only static libraries and programs available. This is your
solution. This has several bad consequences comparing to #2:
  - ffmpeg programs would be too big.
  - a user cannot run two copies of a program that use either Libav/FFmpeg
alongside each other.

4. Make FFmpeg the default in Debian. This is way too controversial, and if
people still want Libav to be in Debian, #2 or #3 must be used because
Libav is not trying to maintain compatibility with FFmpeg at all.

>
> A static link, on the other hand, may have a legitimate purpose.

I don't see *any* advantages over RPATH except for silencing a few lintian
warnings. People who wants to use FFmpeg libs still need to compile the app
on their own. And if the static libs are installed to std locations it
would cause more confusion as the static and shared libs in one directories
are different.

Timothy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 12 Feb 2014 17:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Lamhauge <davidlamhauge@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Feb 2014 17:12:23 GMT) Full text and rfc822 format available.

Message #375 received at 729203@bugs.debian.org (full text, mbox):

From: David Lamhauge <davidlamhauge@gmail.com>
To: 729203@bugs.debian.org
Subject: The real ffmpeg back
Date: Wed, 12 Feb 2014 14:10:58 -0300
[Message part 1 (text/plain, inline)]
Hi,
I have always understood the 'free' in open source software, as being free
like in freedom - not like in free beer.
Why is Debian (and Ubuntu...) taking that frredom from ffmpeg and us, the
users?
When I write 'apt-get install ffmpeg', I trust that ffmpeg is being
installed, But it is not! It is a version of ffmpeg, that is maintained by
people that forked ffmpeg, and who wants us tu use their fork instead. They
even go so far, as telling us that ffmpeg "IS DEPRECATED". Nonsense!
Please correct this gross mistake, and give us (the users) our freedom
back. The freedom of choice, that all open source is built on.
David
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 13 Feb 2014 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Feb 2014 13:51:04 GMT) Full text and rfc822 format available.

Message #380 received at 729203@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Rogério Brito <rbrito@ime.usp.br>, 729203@bugs.debian.org
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Thu, 13 Feb 2014 13:15:34 +0000
Hi Rogério, thanks for looking into resolving this situation.

I haven't read every last mail in the history of this issue and recently
have confined myself to just this bug. There's obviously a detailed
history and a lot of animosity.

I'd say first and foremost, I miss ffmpeg most as a command-line tool.
The tools that link to libav (VLC etc.) seem to continue to work fine
from a user's perspective. I appreciate that there might be a lot of
pain for maintainers below the water line (more on that later). Reading
some of the comments on this bug, I think many users are similarly
missing ffmpeg as a command line tool and are not as concerned about the
library side of things.

So, I fully support packaging ffmpeg as a binary package for the command
line client at the very least, and perhaps as a necessary first step.

If the debian multimedia team are not interested in doing that, fine,
they don't have to. But it would be wrong for them IMHO to prevent some
other interested party from doing so.

Back to maintainers linking against libav. You have said yourself that
the effort involved to get e.g. handbrake to work with Debian's libav
was herculean (not your exact words I know). I believe that, if ffmpeg
libraries and libav libraries can co-exist in the archive, it should be
a maintainer's choice which they link against. So, if it were possible
for ffmpeg's libraries to be packaged without interfering with existing
clients of libav's libraries, a maintainer such as yourself for
handbrake[1] could choose to use ffmpeg, that would be the maintainer's
right.

I suspect that the animosity I've read in this thread from people
towards ffmpeg in the archive as libraries is due to concerns about how
practical it would be for them to co-exist. These are probably valid
concerns that should be looked at. However, they can be, by exploring
real packaging attempts outside the archive (or using experimental)
rather than arguing about theoretics.

So as a first step and addressing many of the requests here I think we
should push on to get the binary packaged on it's own, for now.  A good
starting place would be a git repository for the packaging.  Should we
base this on the pre-libav ffmpeg package, or start afresh?

[1] perhaps a bad example since it's yourself with the debian multimedia
    team...




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 15 Feb 2014 05:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joseph Neal <vlvtelvis@speakeasy.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 15 Feb 2014 05:27:05 GMT) Full text and rfc822 format available.

Message #385 received at 729203@bugs.debian.org (full text, mbox):

From: Joseph Neal <vlvtelvis@speakeasy.net>
To: 729203@bugs.debian.org
Subject: I agree.
Date: Fri, 14 Feb 2014 23:10:00 -0600
I would also very much like to see fully functional ffmpeg binaries in
debian.   I really see little difference here between the situation with
imagemagic and graphicsmagic which has never been a point of contention
as long as I've been aware.

It may be true that the ffmpeg binary is used less often than the
libraries, but when the binary is used, it's often used in much more
mission critical  areas.   I built a web app for a client that uses
ffmpeg to convert user contributed videos into flv for streaming. The
conversion to libav has been a nightmare.  

We've ended up using the deb-multimedia packages for now but using that
repo on a server is something I'd really like to avoid.

As I understand it, the causes of the ffmpeg/libav split were 95%
political.  It's really a shame that the consequences of this are being
passed on to users when there was no good reason for it.






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 15 Feb 2014 22:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to nathan <n.f@wizbiz.net.nz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 15 Feb 2014 22:12:05 GMT) Full text and rfc822 format available.

Message #390 received at 729203@bugs.debian.org (full text, mbox):

From: nathan <n.f@wizbiz.net.nz>
To: 729203@bugs.debian.org
Subject: I would like to see ffmpeg as well
Date: Sun, 16 Feb 2014 11:02:30 +1300
I am a relatively new user to Linux. I love Debian and its family of 
distributions. But I also love ffmpeg and would like to see it in your 
new version. It seems that the open source community sometimes has a 
real political struggle as to 'who is better' and that is a shame, any 
animosity on both side of the fence should be laid to rest and 
compatibility between both fully restored. At the end of the day though 
Debian as an OS should not be taking sides and leaving it to the user to 
decide which they would prefer.

Just my two cents.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 16 Feb 2014 12:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 16 Feb 2014 12:27:08 GMT) Full text and rfc822 format available.

Message #395 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Jonathan Dowland <jmtd@debian.org>, 729203@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: CTTE and reasonable solutions
Date: Sun, 16 Feb 2014 14:25:18 +0200
On Thu, Feb 13, 2014 at 01:15:34PM +0000, Jonathan Dowland wrote:
>...
> So, I fully support packaging ffmpeg as a binary package for the command
> line client at the very least, and perhaps as a necessary first step.
>...
> I suspect that the animosity I've read in this thread from people
> towards ffmpeg in the archive as libraries is due to concerns about how
> practical it would be for them to co-exist. These are probably valid
> concerns that should be looked at. However, they can be, by exploring
> real packaging attempts outside the archive (or using experimental)
> rather than arguing about theoretics.
>...

How do you plan to address the DSA veto against having both sources in 
the archive?

  https://lists.debian.org/debian-devel/2014/02/msg00668.html

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 16 Feb 2014 12:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 16 Feb 2014 12:33:08 GMT) Full text and rfc822 format available.

Message #400 received at 729203@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Adrian Bunk <bunk@stusta.de>
Cc: 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>
Subject: Re: ~ Re: Bug#729203: CTTE and reasonable solutions
Date: Sun, 16 Feb 2014 12:30:26 +0000
On Sun, Feb 16, 2014 at 02:25:18PM +0200, Adrian Bunk wrote:
> How do you plan to address the DSA veto against having both sources in 
> the archive?
> 
>   https://lists.debian.org/debian-devel/2014/02/msg00668.html

I did not intepret that message as a DSA veto. But, with regards making
sure the DSA are happy with whatever we do, we'll do that by talking to
DSA - which, last I checked - was not you.

You clearly have nothing constructive to offer with regards getting
ffmpeg back into Debian and satisfying the users who are craving it.
Can I suggest you therefore focus your efforts on something else,
preferably something constructive, and leave this bug alone?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 16 Feb 2014 13:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 16 Feb 2014 13:21:08 GMT) Full text and rfc822 format available.

Message #405 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Jonathan Dowland <jmtd@debian.org>, 729203@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#729203: ~ Re: Bug#729203: CTTE and reasonable solutions
Date: Sun, 16 Feb 2014 15:17:34 +0200
On Sun, Feb 16, 2014 at 12:30:26PM +0000, Jonathan Dowland wrote:
> On Sun, Feb 16, 2014 at 02:25:18PM +0200, Adrian Bunk wrote:
> > How do you plan to address the DSA veto against having both sources in 
> > the archive?
> > 
> >   https://lists.debian.org/debian-devel/2014/02/msg00668.html
> 
> I did not intepret that message as a DSA veto.

"this simply isn't managable at all"

> But, with regards making
> sure the DSA are happy with whatever we do, we'll do that by talking to
> DSA - which, last I checked - was not you.

As long as you do that before you start spending time on it that's
a reasonable approach.

> You clearly have nothing constructive to offer with regards getting
> ffmpeg back into Debian and satisfying the users who are craving it.
> Can I suggest you therefore focus your efforts on something else,
> preferably something constructive, and leave this bug alone?

My constructive contribution is to show a way forward that has at 
least a chance.[1]

And to point out the issues you will face with your approach.

You are not doing any users a favour by choosing an approach that cannot 
over an approach that might work.

If you want me to shut up, get DSA approval and then prove me wrong by 
showing that what I called "insane" is actually doable.

cu
Adrian

[1] assuming FFmpeg is actually better than libav - I don't know much
    about the arguments the libav side might bring

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 22 Feb 2014 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Feb 2014 17:42:04 GMT) Full text and rfc822 format available.

Message #410 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Adrian Bunk <bunk@stusta.de>, team@security.debian.org
Cc: Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>, 729203@bugs.debian.org
Subject: Packaging for FFmpeg avoiding conflicts with libav
Date: Sat, 22 Feb 2014 18:39:20 +0100
[Message part 1 (text/plain, inline)]
Hi all,

I have looked at the packaging provided by Antoine and it seems - no 
offense intended - a little bit messy.
Thus I have started from scratch and packaged FFmpeg 2.1.3 [1] (see 
attached debian.tar.xz).

I have taken care to avoid conflicts with libav as far as possible, but 
the development files have to conflict, as it is really no good idea to 
build against both ffmpeg and libav at the same time.

The ffmpeg package does not provide qt-faststart to avoid a conflict 
with libav-tools.

The libraries are build with --enable-raise-major, which bumps the 
sonames by 100 to get i.e. libavcodec155, thus avoiding conflicts.
Note that there is also --enable-incompatible-libav-abi that would allow 
packages build against libav to be used with the ffmpeg library, but 
upstream thinks this would not work the other way round as well. And I 
think there wouldn't be too much use for FFmpeg libraries that can only 
be used as a drop in replacement the libav ones, but not to compile 
programs.

As the libav development packages are called libavcodec-dev etc., FFmpeg 
has to use different names and I chose libavcodec-ffmpeg-dev and so on.

I'm not sure if this package will build on every architecture, because I 
can't test that.
Any build failures could probably be sorted out by disabling some 
features for some architectures, as I enabled as many features as 
possible for building on linux-amd64, as long as the result is still 
GPLv2 licensed. (Only four codecs are GPLv3.)

I fixed most of the lintian problems, but some remain:

E: ffmpeg source: debian-watch-file-pubkey-file-is-missing
W: ffmpeg: manpage-has-errors-from-man 
usr/share/man/man1/ffmpeg-all.1.gz 1267: warning [p 13, 2.5i, div 
`an-div', 0.2i]: can't break line
W: ffmpeg: manpage-has-errors-from-man 
usr/share/man/man1/ffmpeg-filters.1.gz 273: warning [p 2, 9.2i]: can't 
break line
W: ffmpeg: manpage-has-errors-from-man usr/share/man/man1/ffmpeg.1.gz 
1267: warning [p 13, 2.5i, div `an-div', 0.2i]: can't break line
W: ffmpeg: manpage-has-errors-from-man 
usr/share/man/man1/ffplay-all.1.gz 9728: warning [p 87, 11.8i]: can't 
break line
W: ffmpeg: manpage-has-errors-from-man 
usr/share/man/man1/ffprobe-all.1.gz 10045: warning [p 73, 2.2i]: can't 
break line
W: ffmpeg: manpage-has-errors-from-man 
usr/share/man/man1/ffserver-all.1.gz 9745: warning [p 85, 15.5i]: can't 
break line
E: libavfilter103: embedded-library 
usr/lib/x86_64-linux-gnu/libavfilter.so.103.90.100: libavfilter
I: libavfilter103: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libavfilter.so.103.90.100
E: libavdevice155: embedded-library 
usr/lib/x86_64-linux-gnu/libavdevice.so.155.5.100: libavdevice
I: libavdevice155: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libavdevice.so.155.5.100
E: libpostproc152: embedded-library 
usr/lib/x86_64-linux-gnu/libpostproc.so.152.3.100: libpostproc
I: libpostproc152: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libpostproc.so.152.3.100
I: libavcodec155: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libavcodec.so.155.39.101
I: libswscale102: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libswscale.so.102.5.101
E: libavutil152: embedded-library 
usr/lib/x86_64-linux-gnu/libavutil.so.152.48.101: libavutil
I: libavutil152: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libavutil.so.152.48.101
I: libavformat155: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libavformat.so.155.19.104
I: libswresample100: no-symbols-control-file 
usr/lib/x86_64-linux-gnu/libswresample.so.100.17.104

 * E: debian-watch-file-pubkey-file-is-missing:
      This is a bug in lintian [2].
 * E: embedded-library: I don't understand this one:
      Does it complain about libavfilter embedding libavfilter?
      Seems like a bug in lintian.
 * W: manpage-has-errors-from-man:
      I don't know how to fix the manpages. Can someone help?
 * I: no-symbols-control-file:
      If anyone wants to create one, feel free to do so.

With this package, users can install either ffmpeg or libav-tools and 
developers can either depend on lib*-ffmpeg-dev or on lib*-dev and 
everyone should be happy.
Adrian, do you agree that this is sane?

If the security team is not willing to support both, they can ask the TC 
to decide which one to use, but this does not prevent an upload of FFmpeg.

I think this package is ready for upload, but I'm neither DD nor DM, so 
I can't do this.
Rogério, Jackson are you willing to review my packaging and then 
upload/maintain it? I can help e.g. rebuilding reverse-dependencies for 
future transitions and similar stuff.

In fact, If have rebuild the 109 reverse build-dependencies of src:libav 
simply exchanging lib*-dev with lib*-ffmpeg-dev and 59 build 
successfully, only 50 FTBFS (similarly many fail building with libav 10 
[3], probably due to the same reasons [4]).
Most failures are due to missing AVCODEC_MAX_AUDIO_FRAME_SIZE and 
CodecID. Only two packages check for a version smaller than 100 and thus 
fail to configure.

I hope FFmpeg will be back in Debian soon.

Best regards,
Andreas


1: https://ffmpeg.org/releases/ffmpeg-2.1.3.tar.gz
2: https://bugs.debian.org/738597
3: https://bugs.debian.org/739079
4: https://wiki.libav.org/Migration/10
[ffmpeg_2.1.3-1.debian.tar.xz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 22 Feb 2014 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Feb 2014 18:00:05 GMT) Full text and rfc822 format available.

Message #415 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Adrian Bunk <bunk@stusta.de>, team@security.debian.org
Cc: Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>, 729203@bugs.debian.org
Subject: Re: Packaging for FFmpeg avoiding conflicts with libav
Date: Sat, 22 Feb 2014 12:56:11 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-22 12:39:20, Andreas Cadhalpun wrote:
> Hi all,
>
> I have looked at the packaging provided by Antoine and it seems - no 
> offense intended - a little bit messy.

Hehe, none taken. To my defense, I did that in about an hour, using
Marillat's packages... :)

> Thus I have started from scratch and packaged FFmpeg 2.1.3 [1] (see 
> attached debian.tar.xz).

Awesome!

> I have taken care to avoid conflicts with libav as far as possible, but 
> the development files have to conflict, as it is really no good idea to 
> build against both ffmpeg and libav at the same time.

You mean the -dev libraries?

> The ffmpeg package does not provide qt-faststart to avoid a conflict 
> with libav-tools.

Fair enough - there could be a qt-faststart binary package which could
conflict with libav-tools.

> The libraries are build with --enable-raise-major, which bumps the 
> sonames by 100 to get i.e. libavcodec155, thus avoiding conflicts.
> Note that there is also --enable-incompatible-libav-abi that would allow 
> packages build against libav to be used with the ffmpeg library, but 
> upstream thinks this would not work the other way round as well. And I 
> think there wouldn't be too much use for FFmpeg libraries that can only 
> be used as a drop in replacement the libav ones, but not to compile 
> programs.

Makes sense.

> As the libav development packages are called libavcodec-dev etc., FFmpeg 
> has to use different names and I chose libavcodec-ffmpeg-dev and so on.

I guess that makes sense...

> I'm not sure if this package will build on every architecture, because I 
> can't test that.

Maybe an upload to experimental could test that? :)

> Any build failures could probably be sorted out by disabling some 
> features for some architectures, as I enabled as many features as 
> possible for building on linux-amd64, as long as the result is still 
> GPLv2 licensed. (Only four codecs are GPLv3.)

Makes sense as well.

> I fixed most of the lintian problems, but some remain:
>
>   * E: debian-watch-file-pubkey-file-is-missing:
>        This is a bug in lintian [2].
>   * E: embedded-library: I don't understand this one:
>        Does it complain about libavfilter embedding libavfilter?
>        Seems like a bug in lintian.

Not sure about those.

>   * W: manpage-has-errors-from-man:
>        I don't know how to fix the manpages. Can someone help?

I had the manpage errors as well, I think we can ignore those for now.

>   * I: no-symbols-control-file:
>        If anyone wants to create one, feel free to do so.
>
> With this package, users can install either ffmpeg or libav-tools and 
> developers can either depend on lib*-ffmpeg-dev or on lib*-dev and 
> everyone should be happy.

That would be awesome.

> Adrian, do you agree that this is sane?
>
> If the security team is not willing to support both, they can ask the TC 
> to decide which one to use, but this does not prevent an upload of FFmpeg.

I don't see why security would complain: as things stand there are
hundreds of security issues that have been fixed in ffmpeg (see the
Google audit) which have not been fixed in libav... It seems to me
ffmpeg is only more secure than libav at this point...

> I think this package is ready for upload, but I'm neither DD nor DM, so 
> I can't do this.

I would be hesistant in doing so, considering the controversy, but if we
reach consensus here, i'd be happy to sponsor it.

> Rogério, Jackson are you willing to review my packaging and then 
> upload/maintain it? I can help e.g. rebuilding reverse-dependencies for 
> future transitions and similar stuff.
>
> In fact, If have rebuild the 109 reverse build-dependencies of src:libav 
> simply exchanging lib*-dev with lib*-ffmpeg-dev and 59 build 
> successfully, only 50 FTBFS (similarly many fail building with libav 10 
> [3], probably due to the same reasons [4]).
> Most failures are due to missing AVCODEC_MAX_AUDIO_FRAME_SIZE and 
> CodecID. Only two packages check for a version smaller than 100 and thus 
> fail to configure.
>
> I hope FFmpeg will be back in Debian soon.

Good work, cheers!

A.

-- 
We have no friends but the mountains.
                        - Kurdish saying
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 22 Feb 2014 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Feb 2014 19:21:05 GMT) Full text and rfc822 format available.

Message #420 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Adrian Bunk <bunk@stusta.de>, team@security.debian.org
Cc: Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sat, 22 Feb 2014 20:18:20 +0100
Hi Antoine,

On 22.02.2014 18:56, Antoine Beaupré wrote:
> On 2014-02-22 12:39:20, Andreas Cadhalpun wrote:
>> Thus I have started from scratch and packaged FFmpeg 2.1.3 [1] (see
>> attached debian.tar.xz).
>
> Awesome!

;)

>> I have taken care to avoid conflicts with libav as far as possible, but
>> the development files have to conflict, as it is really no good idea to
>> build against both ffmpeg and libav at the same time.
>
> You mean the -dev libraries?

Yes.

>> The ffmpeg package does not provide qt-faststart to avoid a conflict
>> with libav-tools.
>
> Fair enough - there could be a qt-faststart binary package which could
> conflict with libav-tools.

Upstream thinks qt-faststart is not used very often nowadays and there 
are not many differences between the ffmpeg and the libav version. So 
anyone who needs qt-faststart can install libav-tools. I don't see a 
need for a qt-faststart binary package, but if there were bugs in the 
libav version that are not in the ffmpeg version, we could create a 
qt-faststart package.

>> I'm not sure if this package will build on every architecture, because I
>> can't test that.
>
> Maybe an upload to experimental could test that? :)

I intended to suggest this first, but unfortunately something in 
experimental is broken, which leads to a test failure of ffmpeg, more 
specifically the test acodec-flac fails in experimental.
It doesn't fail in unstable and testing, so an upload to unstable should 
be fine.
But if it fails to build on some architecture, it will not enter 
testing, so there should be no problem in uploading to unstable.

>> I fixed most of the lintian problems, but some remain:
>>
>>    * E: debian-watch-file-pubkey-file-is-missing:
>>         This is a bug in lintian [2].
>>    * E: embedded-library: I don't understand this one:
>>         Does it complain about libavfilter embedding libavfilter?
>>         Seems like a bug in lintian.
>
> Not sure about those.

Well, the first is a bug in lintian due to the transition from 
debian/upstream-signing-key.pgp to 
debian/upstream/signing-key.{asc,pgp}, discussed on debian-devel recently.
The second is a mystery to me.

>>    * W: manpage-has-errors-from-man:
>>         I don't know how to fix the manpages. Can someone help?
>
> I had the manpage errors as well, I think we can ignore those for now.

I figured this as well, but maybe someone knows how to fix it.

>> With this package, users can install either ffmpeg or libav-tools and
>> developers can either depend on lib*-ffmpeg-dev or on lib*-dev and
>> everyone should be happy.
>
> That would be awesome.

Exactly my opinion. ;)
By the way, of course users can also install both ffmpeg and libav-tools 
and also packages build against ffmpeg and other packages build against 
libav.

>> Adrian, do you agree that this is sane?
>>
>> If the security team is not willing to support both, they can ask the TC
>> to decide which one to use, but this does not prevent an upload of FFmpeg.
>
> I don't see why security would complain: as things stand there are
> hundreds of security issues that have been fixed in ffmpeg (see the
> Google audit) which have not been fixed in libav... It seems to me
> ffmpeg is only more secure than libav at this point...

Previously, Moritz Mühlenhoff from the security team voiced his concerns 
about having to apply security fixes for both [1]:
"But we still try to minimise such cases as much as possible. And for
libav/ffmpeg this simply isn't managable at all due to the huge stream
of security issues trickling in. We need definitely need to pick one
solution only."

I do not share these concerns, as there are e.g. mysql and mariadb 
happily coexisting, but then again, I'm not on the security team.

But should they decide that it will not be possible to support both 
packages for security updates, your argumentation would clearly favor 
ffmpeg over libav, probably leading to the removal of libav from the 
archive.
From my point of view this would be wrong, as I think the users and 
developers should decide for themselves, which package they want to use, 
and preventing one from being distributed in Debian only produces a 
great amount of dissatisfaction and unhappiness among the users and 
developers.

>> I think this package is ready for upload, but I'm neither DD nor DM, so
>> I can't do this.
>
> I would be hesistant in doing so, considering the controversy, but if we
> reach consensus here, i'd be happy to sponsor it.

As I understand it, the whole controversy here was about a conflict 
between FFmpeg and libav due to having the same sonames. My packaging 
avoids this, so the only remaining issue raised so far is the security 
teams concern.

But if you have some time to review my packaging, I would be grateful 
for any comments/improvements.

Best regards,
Andreas


1: https://lists.debian.org/debian-devel/2014/02/msg00668.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 22 Feb 2014 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Gu <timothygu99@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Feb 2014 19:45:05 GMT) Full text and rfc822 format available.

Message #425 received at 729203@bugs.debian.org (full text, mbox):

From: Timothy Gu <timothygu99@gmail.com>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sat, 22 Feb 2014 11:41:07 -0800
On Sat, Feb 22, 2014 at 11:18 AM, Andreas Cadhalpun
<andreas.cadhalpun@googlemail.com> wrote:
> Hi Antoine,
>
>
> On 22.02.2014 18:56, Antoine Beaupr=E9 wrote:
>>
>> On 2014-02-22 12:39:20, Andreas Cadhalpun wrote:
>>> The ffmpeg package does not provide qt-faststart to avoid a conflict
>>> with libav-tools.
>>
>>
>> Fair enough - there could be a qt-faststart binary package which could
>> conflict with libav-tools.
>
>
> Upstream thinks qt-faststart is not used very often nowadays and there ar=
e
> not many differences between the ffmpeg and the libav version. So anyone =
who
> needs qt-faststart can install libav-tools. I don't see a need for a
> qt-faststart binary package, but if there were bugs in the libav version
> that are not in the ffmpeg version, we could create a qt-faststart packag=
e.

IIRC FFmpeg qt-faststart is faster than Libav because of
http://git.videolan.org/?p=3Dffmpeg.git;a=3Dcommitdiff;h=3Df4d9148fe282879b=
9fcc755767c9c04de9ddbcfa.

>
>
>>> I'm not sure if this package will build on every architecture, because =
I
>>> can't test that.
>>
>>
>> Maybe an upload to experimental could test that? :)
>
>
> I intended to suggest this first, but unfortunately something in
> experimental is broken, which leads to a test failure of ffmpeg, more
> specifically the test acodec-flac fails in experimental.
> It doesn't fail in unstable and testing, so an upload to unstable should =
be
> fine.
> But if it fails to build on some architecture, it will not enter testing,=
 so
> there should be no problem in uploading to unstable.
>
>
>>> I fixed most of the lintian problems, but some remain:
>>>
>>>    * E: debian-watch-file-pubkey-file-is-missing:
>>>         This is a bug in lintian [2].
>>>    * E: embedded-library: I don't understand this one:
>>>         Does it complain about libavfilter embedding libavfilter?
>>>         Seems like a bug in lintian.
>>
>>
>> Not sure about those.
>
>
> Well, the first is a bug in lintian due to the transition from
> debian/upstream-signing-key.pgp to debian/upstream/signing-key.{asc,pgp},
> discussed on debian-devel recently.
> The second is a mystery to me.

Does the libav package has those warnings?

>
>
>>>    * W: manpage-has-errors-from-man:
>>>         I don't know how to fix the manpages. Can someone help?
>>
>>
>> I had the manpage errors as well, I think we can ignore those for now.
>
>
> I figured this as well, but maybe someone knows how to fix it.

That is upstream problem. See e.g. ffmpeg/doc/ffmpeg.texi ll. 805 [1].

>
>
>>> With this package, users can install either ffmpeg or libav-tools and
>>> developers can either depend on lib*-ffmpeg-dev or on lib*-dev and
>>> everyone should be happy.
>>
>>
>> That would be awesome.
>
>
> Exactly my opinion. ;)
> By the way, of course users can also install both ffmpeg and libav-tools =
and
> also packages build against ffmpeg and other packages build against libav=
.

Yay! I didn't think of a way good enough like that.

>
>
>>> Adrian, do you agree that this is sane?
>>>
>>> If the security team is not willing to support both, they can ask the T=
C
>>> to decide which one to use, but this does not prevent an upload of
>>> FFmpeg.
>>
>>
>> I don't see why security would complain: as things stand there are
>> hundreds of security issues that have been fixed in ffmpeg (see the
>> Google audit) which have not been fixed in libav... It seems to me
>> ffmpeg is only more secure than libav at this point...
>
>
> Previously, Moritz M=FChlenhoff from the security team voiced his concern=
s
> about having to apply security fixes for both [1]:
> "But we still try to minimise such cases as much as possible. And for
> libav/ffmpeg this simply isn't managable at all due to the huge stream
> of security issues trickling in. We need definitely need to pick one
> solution only."
>
> I do not share these concerns, as there are e.g. mysql and mariadb happil=
y
> coexisting, but then again, I'm not on the security team.
>
> But should they decide that it will not be possible to support both packa=
ges
> for security updates, your argumentation would clearly favor ffmpeg over
> libav, probably leading to the removal of libav from the archive.
> From my point of view this would be wrong, as I think the users and
> developers should decide for themselves, which package they want to use, =
and
> preventing one from being distributed in Debian only produces a great amo=
unt
> of dissatisfaction and unhappiness among the users and developers.

Thank you so much for all your work!

[1] http://git.videolan.org/?p=3Dffmpeg.git;a=3Dblob;f=3Ddoc/ffmpeg.texi;h=
=3D1244cc4e031a26536f6f3587e50a00114adc8e85;hb=3DHEAD#l805



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 22 Feb 2014 19:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Feb 2014 19:48:04 GMT) Full text and rfc822 format available.

Message #430 received at 729203@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Timothy Gu <timothygu99@gmail.com>
Cc: Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Adrian Bunk <bunk@stusta.de>, Jonathan Dowland <jmtd@debian.org>, 729203@bugs.debian.org
Subject: Re: Packaging for FFmpeg avoiding conflicts with libav
Date: Sat, 22 Feb 2014 20:45:00 +0100
Hi,

[only replying with my lintian maintainer hat here, from the sec. point of 
view it would take a more lengthy mail]

On Saturday 22 February 2014 18:39:20 Andreas Cadhalpun wrote:
[...]
>   * E: embedded-library: I don't understand this one:
>        Does it complain about libavfilter embedding libavfilter?
>        Seems like a bug in lintian.

It complains because it has detected a copy of libavfilter in a package 
which is none of the ones it knows that are the "source" of it.
So arguably, yes, it's a bug.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Feb 2014 09:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 09:57:04 GMT) Full text and rfc822 format available.

Message #435 received at 729203@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Adrian Bunk <bunk@stusta.de>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sun, 23 Feb 2014 10:53:18 +0100
On Sat, Feb 22, 2014 at 08:18:20PM +0100, Andreas Cadhalpun wrote:
> >>Adrian, do you agree that this is sane?
> >>
> >>If the security team is not willing to support both, they can ask the TC
> >>to decide which one to use, but this does not prevent an upload of FFmpeg.
> >
> >I don't see why security would complain: as things stand there are
> >hundreds of security issues that have been fixed in ffmpeg (see the
> >Google audit) which have not been fixed in libav... It seems to me
> >ffmpeg is only more secure than libav at this point...
> 
> Previously, Moritz Mühlenhoff from the security team voiced his
> concerns about having to apply security fixes for both [1]:
> "But we still try to minimise such cases as much as possible. And for
> libav/ffmpeg this simply isn't managable at all due to the huge stream
> of security issues trickling in. We need definitely need to pick one
> solution only."
>
> I do not share these concerns, as there are e.g. mysql and mariadb
> happily coexisting

They are not "happily coexisting", we'll be working with the release
team to sort this out for jessie.

>, but then again, I'm not on the security team.

Exactly. It makes it really easy to not share concerns if you're not 
affected by the work imposed from the decision. 
 
> But should they decide that it will not be possible to support both
> packages for security updates, your argumentation would clearly
> favor ffmpeg over libav, probably leading to the removal of libav
> from the archive.

I don't think that's the case. We've looked into many security issues
in ffmpeg which didn't affect libav, either because experimental
code wasn't merged yet or because code was rewritten in libav and not
affected. Also ffmpeg hasn't have long term branches which is a major
benefit of libav.

Cheers,
        Moritz






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Feb 2014 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 10:51:04 GMT) Full text and rfc822 format available.

Message #440 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sun, 23 Feb 2014 12:48:34 +0200
On Sun, Feb 23, 2014 at 10:53:18AM +0100, Moritz Mühlenhoff wrote:
> On Sat, Feb 22, 2014 at 08:18:20PM +0100, Andreas Cadhalpun wrote:
>...
> > But should they decide that it will not be possible to support both
> > packages for security updates, your argumentation would clearly
> > favor ffmpeg over libav, probably leading to the removal of libav
> > from the archive.
> 
> I don't think that's the case. We've looked into many security issues
> in ffmpeg which didn't affect libav, either because experimental
> code wasn't merged yet or because code was rewritten in libav and not
> affected.

A significant factor is that libav provides a subset of FFmpeg,
and breaks existing APIs frequently.

E.g. except for the idea of removing this pretty popular package
in favour of a dead fork, I don't recall any solution proposed
for getting MPlayer compile again in unstable.

More code tends to have more bugs, so it's not fair to compare the
raw number of bugs for two projects where one provides a subset of
the other.


And is there any explanation for the claim that libav is much slower 
than FFmpeg in merging fixes for issues that seem to be clear bugs,
many of them might have a security impact? [1]


> Also ffmpeg hasn't have long term branches which is a major
> benefit of libav.

If there is demand, my impression is that FFmpeg upstream would be 
willing to discuss providing stable branches that are supported for
2 years like libav.

A Debian release is supported by you for around 4 years after the 
release of the latest libav.[2] Is there any commitment from libav
upstream to provide support for the second half of that time?[3]


> Cheers,
>         Moritz

cu
Adrian

[1] http://googleonlinesecurity.blogspot.fi/2014/01/ffmpeg-and-thousand-fixes.html
[2] the libav branch is on average half a year old when Debian freezes,
    plus half a year freeze plus 2 years until the next Debian stable
    plus 1 year
[3] this is not meant against libav, I am just asking about the status quo

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Feb 2014 11:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 11:39:15 GMT) Full text and rfc822 format available.

Message #445 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Adrian Bunk <bunk@stusta.de>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sun, 23 Feb 2014 12:38:17 +0100
[Message part 1 (text/plain, inline)]
Hi Moritz,

On 23.02.2014 10:53, Moritz Mühlenhoff wrote:
> On Sat, Feb 22, 2014 at 08:18:20PM +0100, Andreas Cadhalpun wrote:
>>>> Adrian, do you agree that this is sane?
>>>>
>>>> If the security team is not willing to support both, they can ask the TC
>>>> to decide which one to use, but this does not prevent an upload of FFmpeg.
>>>
>>> I don't see why security would complain: as things stand there are
>>> hundreds of security issues that have been fixed in ffmpeg (see the
>>> Google audit) which have not been fixed in libav... It seems to me
>>> ffmpeg is only more secure than libav at this point...
>>
>> Previously, Moritz Mühlenhoff from the security team voiced his
>> concerns about having to apply security fixes for both [1]:
>> "But we still try to minimise such cases as much as possible. And for
>> libav/ffmpeg this simply isn't managable at all due to the huge stream
>> of security issues trickling in. We need definitely need to pick one
>> solution only."
>>
>> I do not share these concerns, as there are e.g. mysql and mariadb
>> happily coexisting
>
> They are not "happily coexisting", we'll be working with the release
> team to sort this out for jessie.

But both are in testing right now. So this should also be possible for 
FFmpeg and libav.

>> , but then again, I'm not on the security team.
>
> Exactly. It makes it really easy to not share concerns if you're not
> affected by the work imposed from the decision.

That is why I would like to hear also from the other members of the 
security team. Is there consensus that it will be impossible to support 
both FFmpeg and libav?
If so, would it be possible to mark one of them as not supported by 
security?

>> But should they decide that it will not be possible to support both
>> packages for security updates, your argumentation would clearly
>> favor ffmpeg over libav, probably leading to the removal of libav
>> from the archive.
>
> I don't think that's the case. We've looked into many security issues
> in ffmpeg which didn't affect libav, either because experimental
> code wasn't merged yet or because code was rewritten in libav and not
> affected. Also ffmpeg hasn't have long term branches which is a major
> benefit of libav.

Can you provide a list of issues that affect FFmpeg and not libav?
And what do you mean by experimental code not being merged or code in 
libav being rewritten and thus not affected?
Changes in libav are merged into FFmpeg on a regular basis.

And FFmpeg *does* have long term branches: Currently 1.2 is still 
supported, the last update 1.2.5 is from 16-Jan-2014 16:02 [1].
Even 0.10 released in March 2012 got an update to 0.10.11 on 17-Jan-2014 
06:06.

They also plan to have a release around the same time as libav10 with a 
similar support period.

[Now I'm commenting on Adrian's mail. Thanks for your comments, Adrian.]

On 23.02.2014 11:48, Adrian Bunk wrote:
> On Sun, Feb 23, 2014 at 10:53:18AM +0100, Moritz Mühlenhoff wrote:
> A significant factor is that libav provides a subset of FFmpeg,
> and breaks existing APIs frequently.

FFmpeg has many more features in terms of supported codecs, devices, 
filters and formats. Just have a look at the attached diffs between 
FFmpeg 2.1.3 and libav 10 from experimental. This is one reason, why 
many people want to have FFmpeg back in Debian.

> E.g. except for the idea of removing this pretty popular package
> in favour of a dead fork, I don't recall any solution proposed
> for getting MPlayer compile again in unstable.

As a side note, neither MPlayer nor MPlayer2 compile with this FFmpeg 
package due to the removal of CodecID. The same holds for libav10.

> More code tends to have more bugs, so it's not fair to compare the
> raw number of bugs for two projects where one provides a subset of
> the other.

I agree.

> And is there any explanation for the claim that libav is much slower
> than FFmpeg in merging fixes for issues that seem to be clear bugs,
> many of them might have a security impact? [1]

I don't have an explanation, but a more detailed report [2] (see the 
link at the bottom of the blog post), that I'd like to quote:
"While the former project [libav] is doing their best to catch up with 
the latter [FFmpeg], the figures speak for themselves again: there are 
“only” 413 commits tagged “Jurczyk” or “Coldwind” in Libav, so even 
though some of the FFmpeg bugs might not apply to Libav, there are still 
many unresolved issues there which are already fixed in FFmpeg. 
Consequently, we advise users to use the FFmpeg upstream code where 
possible, or the latest stable version (currently 2.1.1 [now 2.1.3]) 
otherwise."

>> Also ffmpeg hasn't have long term branches which is a major
>> benefit of libav.
>
> If there is demand, my impression is that FFmpeg upstream would be
> willing to discuss providing stable branches that are supported for
> 2 years like libav.

They already do, see my argumentation above.

> A Debian release is supported by you for around 4 years after the
> release of the latest libav.[2] Is there any commitment from libav
> upstream to provide support for the second half of that time?[3]

Good question.

Best regards,
Andreas


1: https://ffmpeg.org/releases/
2: http://j00ru.vexillium.org/?p=2211

[diff-codecs.html (text/html, attachment)]
[diff-devices.html (text/html, attachment)]
[diff-filters.html (text/html, attachment)]
[diff-formats.html (text/html, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Feb 2014 13:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 13:54:10 GMT) Full text and rfc822 format available.

Message #450 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Timothy Gu <timothygu99@gmail.com>
Cc: 729203@bugs.debian.org, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Adrian Bunk <bunk@stusta.de>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sun, 23 Feb 2014 14:51:19 +0100
[Message part 1 (text/plain, inline)]
[Adding the CCs again, I hope you don't mind.]

Hi Timothy,

thanks for your remarks and sorry for not responding sooner, I got 
distracted...

On 22.02.2014 20:39, Timothy Gu wrote:
> On Sat, Feb 22, 2014 at 11:18 AM, Andreas Cadhalpun
> <andreas.cadhalpun@googlemail.com> wrote:
>> Upstream thinks qt-faststart is not used very often nowadays and
>> there are not many differences between the ffmpeg and the libav
>> version. So anyone who needs qt-faststart can install libav-tools. I
>> don't see a need for a qt-faststart binary package, but if there
>> were bugs in the libav version that are not in the ffmpeg version,
>> we could create a qt-faststart package.
>
> IIRC FFmpeg qt-faststart is faster than Libav because of
>
http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=f4d9148fe282879b9fcc755767c9c04de9ddbcfa.

That's exactly the kind of bug that I think justifies a qt-faststart 
package. So I added it, see attached patch. It diverts the qt-faststart 
from libav to qt-faststart.libav.

>>>> I fixed most of the lintian problems, but some remain:
>>>>
>>>>     * E: debian-watch-file-pubkey-file-is-missing:
>>>>          This is a bug in lintian [2].
>>>>     * E: embedded-library: I don't understand this one:
>>>>          Does it complain about libavfilter embedding libavfilter?
>>>>          Seems like a bug in lintian.
>>>
>>> Not sure about those.
>>
>> Well, the first is a bug in lintian due to the transition from
>> debian/upstream-signing-key.pgp to
debian/upstream/signing-key.{asc,pgp},
>> discussed on debian-devel recently.
>> The second is a mystery to me.
>
> Does the libav package has those warnings?

Libav doesn't have this errors, because it still uses the old location 
of the signing-key and according to Raphael lintian detects the embedded 
libraries by checking a known list of "sources", which contains libav, 
but obviously not the newly created ffmpeg package.

But libav has the warnings about the manpage as well. [1]

>>>>     * W: manpage-has-errors-from-man:
>>>>          I don't know how to fix the manpages. Can someone help?
>>>
>>> I had the manpage errors as well, I think we can ignore those for now.
>>
>> I figured this as well, but maybe someone knows how to fix it.
>
> That is upstream problem. See e.g. ffmpeg/doc/ffmpeg.texi ll. 805 [1].

So it seems the line is just to long, but it probably doesn't make sense 
to break it. So is this a wontfix? If so we should add a lintian 
override explaining the problem.

>>>> With this package, users can install either ffmpeg or libav-tools
>>>> and developers can either depend on lib*-ffmpeg-dev or on lib*-dev
>>>> and everyone should be happy.
>>>
>>> That would be awesome.
>>
>> Exactly my opinion. ;)
>> By the way, of course users can also install both ffmpeg and
>> libav-tools and also packages build against ffmpeg and other
>> packages build against libav.
>
> Yay! I didn't think of a way good enough like that.
>
> Thank you so much for all your work!

Unfortunately it seems that the security team will not allow both FFmpeg 
and libav in a stable release.

Best regards,
Andreas


1: 
http://lintian.debian.org/maintainer/pkg-multimedia-maintainers@lists.alioth.debian.org.html#libav

[qt-faststart.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Feb 2014 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 17:39:05 GMT) Full text and rfc822 format available.

Message #455 received at 729203@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sun, 23 Feb 2014 19:35:05 +0200
On Sun, Feb 23, 2014 at 12:38:17PM +0100, Andreas Cadhalpun wrote:
>...
> On 23.02.2014 11:48, Adrian Bunk wrote:
>...
> > E.g. except for the idea of removing this pretty popular package
> > in favour of a dead fork, I don't recall any solution proposed
> > for getting MPlayer compile again in unstable.
> 
> As a side note, neither MPlayer nor MPlayer2 compile with this
> FFmpeg package due to the removal of CodecID. The same holds for
> libav10.
>...

This was fixed in MPlayer upstream a year ago.

> Best regards,
> Andreas
>...

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Feb 2014 22:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 22:00:05 GMT) Full text and rfc822 format available.

Message #460 received at 729203@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Adrian Bunk <bunk@stusta.de>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sun, 23 Feb 2014 22:56:36 +0100
On Sun, Feb 23, 2014 at 12:48:34PM +0200, Adrian Bunk wrote:
> On Sun, Feb 23, 2014 at 10:53:18AM +0100, Moritz Mühlenhoff wrote:
> > On Sat, Feb 22, 2014 at 08:18:20PM +0100, Andreas Cadhalpun wrote:
> >...
> > > But should they decide that it will not be possible to support both
> > > packages for security updates, your argumentation would clearly
> > > favor ffmpeg over libav, probably leading to the removal of libav
> > > from the archive.
> > 
> > I don't think that's the case. We've looked into many security issues
> > in ffmpeg which didn't affect libav, either because experimental
> > code wasn't merged yet or because code was rewritten in libav and not
> > affected.
> 
> A significant factor is that libav provides a subset of FFmpeg,
> and breaks existing APIs frequently.

I don't have the time nor the interest to discuss this at length, so
EOD from my side.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Feb 2014 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 22:39:05 GMT) Full text and rfc822 format available.

Message #465 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Sun, 23 Feb 2014 23:36:36 +0100
Hi Moritz,

On 23.02.2014 22:56, Moritz Mühlenhoff wrote:
> I don't have the time nor the interest to discuss this at length, so
> EOD from my side.

since you started this discussion by effectively preventing FFmpeg from 
being uploaded, I take it that you ending this discussion now means 
FFmpeg can be uploaded and you prefer to "be working with the release 
team to sort this out for jessie", after FFmpeg has reached testing.

Or what is supposed to happen?

Best regards,
Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 Feb 2014 16:45:05 GMT) Full text and rfc822 format available.

Message #470 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, team@security.debian.org
Cc: Adrian Bunk <bunk@stusta.de>, Jonathan Dowland <jmtd@debian.org>, 729203@bugs.debian.org, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Bug#729203: Intent to package FFmpeg
Date: Tue, 25 Feb 2014 17:43:25 +0100
[Message part 1 (text/plain, inline)]
Control: owner -1 !
Control: retitle -1 ITP: ffmpeg -- complete, cross-platform solution to 
record, convert and stream audio and video

Hi all,

I intend to package and maintain FFmpeg for Debian. Co-maintainers are 
welcome.

The security team is invited to discuss why FFmpeg is security-wise 
better than libav at any time.

Should someone disagree, I would be very interested in an explanation of 
the current state of the security tracker for libav [1], as *all* issues 
currently marked as open for libav are CVEs issued by FFmpeg about 
problems they fixed [2]. One, CVE-2011-3935, is even several years old 
*and* fixed for the FFmpeg in old-stable! I don't know whether to laugh 
or cry.

As stated previously, I don't have a problem with having both FFmpeg and 
libav in Debian, but if the security has, I suggest convincing the 
relevant maintainers to transition from libav to FFmpeg.

Now, as a way forward, I suggest an upload of FFmpeg to experimental 
first. Since gcc-4.9 is broken, the test results have to be ignored for 
this upload (make -i check) to allow FFmpeg to build.
This should show if there are any problems with building on some 
architectures. When these are fixed (if any) FFmpeg can be uploaded to 
unstable.

Antoine, are you willing to sponsor this, maybe becoming a co-maintainer?

Rogério, it would be great if you could package libvidstab for jessie. I 
think many people would like to use it.

In the not too far future, the long term supported FFmpeg 2.2 will be 
released, which I intend to get into jessie.

Comments and suggestions are welcome, FUD about FFmpeg is not.

Best regards,
Andreas


1: https://security-tracker.debian.org/tracker/source-package/libav
2: https://ffmpeg.org/security.html

[ffmpeg_2.1.3-1.debian.tar.xz (application/octet-stream, attachment)]

Owner recorded as Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. Request was from Andreas Cadhalpun <andreas.cadhalpun@googlemail.com> to 729203-submit@bugs.debian.org. (Tue, 25 Feb 2014 16:45:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: ffmpeg -- complete, cross-platform solution to' from 'RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video' Request was from Andreas Cadhalpun <andreas.cadhalpun@googlemail.com> to 729203-submit@bugs.debian.org. (Tue, 25 Feb 2014 16:45:06 GMT) Full text and rfc822 format available.

Changed Bug title to ''ITP: ffmpeg -- complete, cross-platform solution to' from 'ITP: ffmpeg -- complete, cross-platform solution to' Request was from Andreas Cadhalpun <andreas.cadhalpun@googlemail.com> to control@bugs.debian.org. (Tue, 25 Feb 2014 16:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Tue, 25 Feb 2014 16:57:04 GMT) Full text and rfc822 format available.

Message #481 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Tue, 25 Feb 2014 11:52:05 -0500
[Message part 1 (text/plain, inline)]
Stripping CC's.

On 2014-02-25 11:43:25, Andreas Cadhalpun wrote:
> Antoine, are you willing to sponsor this, maybe becoming a co-maintainer?

I am willing to sponsor an upload, but I don't have much time,
especially not to become a co-maintainer.

It also seems that I may not be perfectly qualified to handle all the
subtelties of this tricky package, so if someone else wants to step in,
that would be great.

> In the not too far future, the long term supported FFmpeg 2.2 will be 
> released, which I intend to get into jessie.

That would be awesome.

A.
-- 
Les écrivains qui ont recours à leurs doigts pour savoir s'ils ont leur
compte de pieds ne sont pas des poètes, ce sont des dactylographes.
                        - Léo Ferré, "Préface"
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'ITP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video' from ''ITP: ffmpeg -- complete, cross-platform solution to' Request was from Andreas Cadhalpun <andreas.cadhalpun@googlemail.com> to control@bugs.debian.org. (Tue, 25 Feb 2014 16:57:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Tue, 25 Feb 2014 17:00:05 GMT) Full text and rfc822 format available.

Message #488 received at 729203@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Tue, 25 Feb 2014 17:57:02 +0100
On Sun, Feb 23, 2014 at 11:36:36PM +0100, Andreas Cadhalpun wrote:
> Hi Moritz,
> 
> On 23.02.2014 22:56, Moritz Mühlenhoff wrote:
> >I don't have the time nor the interest to discuss this at length, so
> >EOD from my side.
> 
> since you started this discussion by effectively preventing FFmpeg
> from being uploaded, I take it that you ending this discussion now
> means FFmpeg can be uploaded and you prefer to "be working with the
> release team to sort this out for jessie", after FFmpeg has reached
> testing.

No, it means I don't have the time, nor nerve to discuss this. We're
after all busy to keep Debian secure and sick of maintainers who only 
focus on their pet package and neglegt the overall maintainability
of the Debian archive.

The security team made it abundantly clear that we will only support
either solution. If you go ahead with the ITP we'll file an RC bug
against ffmpeg to prevent it's transition to testing. You can then
sort out how/whether ffmpeg should _replace_ libav, but both are not
an option.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 17:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 Feb 2014 17:24:14 GMT) Full text and rfc822 format available.

Message #493 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Tue, 25 Feb 2014 18:23:20 +0100
Hi Moritz,

On 25.02.2014 17:57, Moritz Mühlenhoff wrote:
> On Sun, Feb 23, 2014 at 11:36:36PM +0100, Andreas Cadhalpun wrote:
>> Hi Moritz,
>>
>> On 23.02.2014 22:56, Moritz Mühlenhoff wrote:
>>> I don't have the time nor the interest to discuss this at length, so
>>> EOD from my side.
>>
>> since you started this discussion by effectively preventing FFmpeg
>> from being uploaded, I take it that you ending this discussion now
>> means FFmpeg can be uploaded and you prefer to "be working with the
>> release team to sort this out for jessie", after FFmpeg has reached
>> testing.
>
> No, it means I don't have the time, nor nerve to discuss this. We're
> after all busy to keep Debian secure and sick of maintainers who only
> focus on their pet package and neglegt the overall maintainability
> of the Debian archive.

While I always stated that I'm open to discussion, you just ended the 
discussion after trying to block FFmpeg from entering Debian, which I do 
not find very constructive.

Whether you believe it or not, my pet project is called Debian and I 
want to see the best possible software in it. You may have noticed that 
a lot of people are unhappy with the current situation of only having libav.

I tried to package FFmpeg in a way that has the smallest possible impact 
on the current Debian archive, i.e. as coinstallable with libav.

> The security team made it abundantly clear that we will only support
> either solution. If you go ahead with the ITP we'll file an RC bug
> against ffmpeg to prevent it's transition to testing. You can then
> sort out how/whether ffmpeg should _replace_ libav, but both are not
> an option.

You can do however you like, but so can everyone else.

I want to see FFmpeg in Debian and I'm interested in any constructive 
discussion about problems that might bring for others. If you don't have 
time for such a discussion that is a pity.

Best regards,
Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 Feb 2014 17:27:04 GMT) Full text and rfc822 format available.

Message #498 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Tue, 25 Feb 2014 18:25:55 +0100
On 25.02.2014 17:52, Antoine Beaupré wrote:
> On 2014-02-25 11:43:25, Andreas Cadhalpun wrote:
>> Antoine, are you willing to sponsor this, maybe becoming a co-maintainer?
>
> I am willing to sponsor an upload, but I don't have much time,
> especially not to become a co-maintainer.

Thanks for sponsoring. If you detect any problems with the packaging or 
have any questions, just ask.

> It also seems that I may not be perfectly qualified to handle all the
> subtelties of this tricky package, so if someone else wants to step in,
> that would be great.

The upstream developers are very helpful in solving any problem they can.

>> In the not too far future, the long term supported FFmpeg 2.2 will be
>> released, which I intend to get into jessie.
>
> That would be awesome.

Yes. ;)

Best regards,
Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Tue, 25 Feb 2014 21:21:05 GMT) Full text and rfc822 format available.

Message #503 received at 729203@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Tue, 25 Feb 2014 22:18:43 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 25, 2014 at 06:23:20PM +0100, Andreas Cadhalpun wrote:
> >No, it means I don't have the time, nor nerve to discuss this. We're
> >after all busy to keep Debian secure and sick of maintainers who only
> >focus on their pet package and neglegt the overall maintainability
> >of the Debian archive.
> 
> While I always stated that I'm open to discussion, you just ended
> the discussion after trying to block FFmpeg from entering Debian,
> which I do not find very constructive.

My feeling is that this was discussed over and over and Moritz is
/slighly/ tired of repeating the same thing over and over. And me
replying to this mail doesn't mean I'm willing to engage in a large
thread on this, the security team position has been given.
> 
> I want to see FFmpeg in Debian and I'm interested in any
> constructive discussion about problems that might bring for others.
> If you don't have time for such a discussion that is a pity.

Well, as it was already sated, the discussion needs to happen with libav
maintainers (and reverse dependencies indeed).

-- 
Yves-Alexis Perez
Debian security team
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 22:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 Feb 2014 22:33:08 GMT) Full text and rfc822 format available.

Message #508 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Tue, 25 Feb 2014 23:30:25 +0100
On 25.02.2014 22:18, Yves-Alexis Perez wrote:
> On Tue, Feb 25, 2014 at 06:23:20PM +0100, Andreas Cadhalpun wrote:
>>> No, it means I don't have the time, nor nerve to discuss this. We're
>>> after all busy to keep Debian secure and sick of maintainers who only
>>> focus on their pet package and neglegt the overall maintainability
>>> of the Debian archive.
>>
>> While I always stated that I'm open to discussion, you just ended
>> the discussion after trying to block FFmpeg from entering Debian,
>> which I do not find very constructive.
>
> My feeling is that this was discussed over and over and Moritz is
> /slighly/ tired of repeating the same thing over and over. And me
> replying to this mail doesn't mean I'm willing to engage in a large
> thread on this, the security team position has been given.

My impression has been /slightly/ different: Moritz made dubious claims 
about FFmpeg:
"We've looked into many security issues
in ffmpeg which didn't affect libav, either because experimental
code wasn't merged yet or because code was rewritten in libav and not
affected. Also ffmpeg hasn't have long term branches which is a major
benefit of libav."

After I have questioned these, Moritz simply left the discussion. But 
maybe I didn't understand what Moritz wanted to say?

>> I want to see FFmpeg in Debian and I'm interested in any
>> constructive discussion about problems that might bring for others.
>> If you don't have time for such a discussion that is a pity.
>
> Well, as it was already sated, the discussion needs to happen with libav
> maintainers (and reverse dependencies indeed).

What do you think a discussion with them will gain?

Maybe it's not clear to everyone: Upstream FFmpeg and upstream libav are 
not exactly friendly towards each other. Furthermore some important 
developers of libav are among the Debian maintainers of libav.
Therefore I fear that any discussion with the libav maintainers about 
FFmpeg would likely end in a flamewar, which I tried to avoid.

Therefore I packaged FFmpeg in a way that doesn't conflict with libav, 
so that FFmpeg in Debian is neither a concern for the libav developers 
nor for anyone who wants to use libav, but that allows those, who need 
FFmpeg due to the additional features it provides, to use it.

But then the security team represented by Moritz stated that they would 
not support both FFmpeg and libav, so they are the only ones affected 
negatively by FFmpeg in stable. Thus I think it doesn't make much sense 
to discuss with anyone but the security team.

Ideally the security team should now evaluate which of the two are 
better from a security point of view and based on this decide, which one 
they would prefer to see in jessie.
But if they don't, someone else will have to make this decision.

Best regards,
Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Tue, 25 Feb 2014 22:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Tue, 25 Feb 2014 22:45:08 GMT) Full text and rfc822 format available.

Message #513 received at 729203@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Tue, 25 Feb 2014 23:33:33 +0100
On Tue, Feb 25, 2014 at 11:30:25PM +0100, Andreas Cadhalpun wrote:
> On 25.02.2014 22:18, Yves-Alexis Perez wrote:
>> On Tue, Feb 25, 2014 at 06:23:20PM +0100, Andreas Cadhalpun wrote:
>>>> No, it means I don't have the time, nor nerve to discuss this. We're
>>>> after all busy to keep Debian secure and sick of maintainers who only
>>>> focus on their pet package and neglegt the overall maintainability
>>>> of the Debian archive.
>>>
>>> While I always stated that I'm open to discussion, you just ended
>>> the discussion after trying to block FFmpeg from entering Debian,
>>> which I do not find very constructive.
>>
>> My feeling is that this was discussed over and over and Moritz is
>> /slighly/ tired of repeating the same thing over and over. And me
>> replying to this mail doesn't mean I'm willing to engage in a large
>> thread on this, the security team position has been given.
>
> My impression has been /slightly/ different: Moritz made dubious claims  
> about FFmpeg:
> "We've looked into many security issues
> in ffmpeg which didn't affect libav, either because experimental
> code wasn't merged yet or because code was rewritten in libav and not
> affected. Also ffmpeg hasn't have long term branches which is a major
> benefit of libav."
>
> After I have questioned these, Moritz simply left the discussion. But  
> maybe I didn't understand what Moritz wanted to say?

Yes, it's the latter: I didn't badmouth ffmpeg in any way: it was said that libav 
fixed less Google fuzzer samples than libav; for which I added my observation that when
I looked at several CVE assignments for ffmpeg fixes the affected code
didn't exist in libav releases and that explains the difference in numbers.
That doesn't mean that ffmpeg is worse than libav, it simply means that the
code has diverged and different code is affected.

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 01:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Niedermayer <michaelni@gmx.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 01:33:04 GMT) Full text and rfc822 format available.

Message #518 received at 729203@bugs.debian.org (full text, mbox):

From: Michael Niedermayer <michaelni@gmx.at>
To: Moritz Muehlenhoff <jmm@inutil.org>, 729203@bugs.debian.org
Cc: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 02:30:47 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 25, 2014 at 11:33:33PM +0100, Moritz Muehlenhoff wrote:
> On Tue, Feb 25, 2014 at 11:30:25PM +0100, Andreas Cadhalpun wrote:
> > On 25.02.2014 22:18, Yves-Alexis Perez wrote:
> >> On Tue, Feb 25, 2014 at 06:23:20PM +0100, Andreas Cadhalpun wrote:
> >>>> No, it means I don't have the time, nor nerve to discuss this. We're
> >>>> after all busy to keep Debian secure and sick of maintainers who only
> >>>> focus on their pet package and neglegt the overall maintainability
> >>>> of the Debian archive.
> >>>
> >>> While I always stated that I'm open to discussion, you just ended
> >>> the discussion after trying to block FFmpeg from entering Debian,
> >>> which I do not find very constructive.
> >>
> >> My feeling is that this was discussed over and over and Moritz is
> >> /slighly/ tired of repeating the same thing over and over. And me
> >> replying to this mail doesn't mean I'm willing to engage in a large
> >> thread on this, the security team position has been given.
> >
> > My impression has been /slightly/ different: Moritz made dubious claims  
> > about FFmpeg:
> > "We've looked into many security issues
> > in ffmpeg which didn't affect libav, either because experimental
> > code wasn't merged yet or because code was rewritten in libav and not
> > affected. Also ffmpeg hasn't have long term branches which is a major
> > benefit of libav."
> >
> > After I have questioned these, Moritz simply left the discussion. But  
> > maybe I didn't understand what Moritz wanted to say?
> 
> Yes, it's the latter: I didn't badmouth ffmpeg in any way: it was said that libav 
> fixed less Google fuzzer samples than libav; for which I added my observation that when
> I looked at several CVE assignments for ffmpeg fixes the affected code
> didn't exist in libav releases and that explains the difference in numbers.
> That doesn't mean that ffmpeg is worse than libav, it simply means that the
> code has diverged and different code is affected.

I belive maybe some things are a bit mixed up here
The "less fixes in libav" stuff was AFAIK a comparission between the
libav and ffmpeg git master branches

while libavs last release was based on git master of
over a year ago.

So please correct me if iam wrong, but i dont think that a
comparission of libav from over a year ago against recent issues
can serve as an explanation for differences in the 2 projects master
branches

[...]
-- 
Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

Awnsering whenever a program halts or runs forever is
On a turing machine, in general impossible (turings halting problem).
On any real computer, always possible as a real computer has a finite number
of states N, and will either halt in less than N cycles or never halt.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 01:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 01:42:04 GMT) Full text and rfc822 format available.

Message #523 received at 729203@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, 729203@bugs.debian.org
Cc: Yves-Alexis Perez <corsac@debian.org>, Moritz Mühlenhoff <jmm@inutil.org>, Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 01:39:23 +0000
On Tue, Feb 25, 2014 at 11:30:25PM +0100, Andreas Cadhalpun wrote:
> Ideally the security team should now evaluate which of the two are
> better from a security point of view and based on this decide, which
> one they would prefer to see in jessie.
> But if they don't, someone else will have to make this decision.

Ideally someone should upload ffmpeg to unstable instead of
endlessly discussing it.  I don't see anyone preventing this
yet.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 01:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Niedermayer <michaelni@gmx.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 01:42:07 GMT) Full text and rfc822 format available.

Message #528 received at 729203@bugs.debian.org (full text, mbox):

From: Michael Niedermayer <michaelni@gmx.at>
To: Moritz Mühlenhoff <jmm@inutil.org>, 729203@bugs.debian.org
Cc: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 02:39:16 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 25, 2014 at 05:57:02PM +0100, Moritz Mühlenhoff wrote:
> On Sun, Feb 23, 2014 at 11:36:36PM +0100, Andreas Cadhalpun wrote:
> > Hi Moritz,
> > 
> > On 23.02.2014 22:56, Moritz Mühlenhoff wrote:
> > >I don't have the time nor the interest to discuss this at length, so
> > >EOD from my side.
> > 
> > since you started this discussion by effectively preventing FFmpeg
> > from being uploaded, I take it that you ending this discussion now
> > means FFmpeg can be uploaded and you prefer to "be working with the
> > release team to sort this out for jessie", after FFmpeg has reached
> > testing.
> 
> No, it means I don't have the time, nor nerve to discuss this. We're
> after all busy to keep Debian secure and sick of maintainers who only 
> focus on their pet package and neglegt the overall maintainability
> of the Debian archive.
> 
> The security team made it abundantly clear that we will only support
> either solution. If you go ahead with the ITP we'll file an RC bug
> against ffmpeg to prevent it's transition to testing. You can then
> sort out how/whether ffmpeg should _replace_ libav, but both are not
> an option.

Id like to volunteer to help with any future security issues in
FFmpeg packages in debian.

[...]
-- 
Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

DNS cache poisoning attacks, popular search engine, Google internet authority
dont be evil, please
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 01:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 01:48:05 GMT) Full text and rfc822 format available.

Message #533 received at 729203@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 729203@bugs.debian.org, Debian Security Team <team@security.debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Tue, 25 Feb 2014 20:44:14 -0500
On Tue, Feb 25, 2014 at 8:39 PM, Michael Niedermayer wrote:
>> The security team made it abundantly clear that we will only support
>> either solution. If you go ahead with the ITP we'll file an RC bug
>> against ffmpeg to prevent it's transition to testing. You can then
>> sort out how/whether ffmpeg should _replace_ libav, but both are not
>> an option.
>
> Id like to volunteer to help with any future security issues in
> FFmpeg packages in debian.

The best place to start is testing and (more preferably) patches for
the present libav issues.  There are 18 of them:
https://security-tracker.debian.org/tracker/source-package/libav

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 04:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to nathan <n.f@wizbiz.net.nz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 04:51:05 GMT) Full text and rfc822 format available.

Message #538 received at 729203@bugs.debian.org (full text, mbox):

From: nathan <n.f@wizbiz.net.nz>
To: 729203@bugs.debian.org
Subject: Thanks but no thanks
Date: Wed, 26 Feb 2014 17:47:56 +1300
--The best place to start is testing and (more preferably) patches for
--the present libav issues.  There are 18 of them:
-- https://security-tracker.debian.org/tracker/source-package/libav 
<https://security-tracker.debian.org/tracker/source-package/libav>
--
--Best wishes,
--Mike

Not really we dont want LibAV who is 'pretending' to be FFMpeg we want 
the REAL thing and just because some of the LibAV devs are part of 
debian development does not give them the right to force users to use 
their packages!! I use my PC for media all the time and XBMC which is 
quickly becoming the largest Media Center App cannot run on Debian 
because of this in-house fighting its crazy!! There are many other apps 
too which I would rather use FFMpeg for - trans-coding etc.

Please allow ffmpeg!!!!





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 09:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomax G." <thomax23@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 09:21:10 GMT) Full text and rfc822 format available.

Message #543 received at 729203@bugs.debian.org (full text, mbox):

From: "Thomax G." <thomax23@googlemail.com>
To: 729203@bugs.debian.org
Subject: RFP: ffmpeg -- complete, cross-platform solution to record, convert and stream audio and video
Date: Wed, 26 Feb 2014 10:17:30 +0100
[Message part 1 (text/plain, inline)]
hi,

i recently got upset when i got error messages like this:

/Repos/slowmoVideo/src/slowmoVideo/lib/ffmpegEncode_sV.c:110: undefined
reference to `avformat_alloc_output_context2'

while compiling great opensource stuff which didn't have a debian package.

it's not all about the ffmpeg binary, it's more about the developement and
shared libraries. i also noticed some issues going on with blender and this
conflicting library.

really, get this things clear now. support both or the original. debian
shouldn't become a kindergarten distro.

thanks
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 09:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Feb 2014 09:57:05 GMT) Full text and rfc822 format available.

Message #548 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Clint Adams <clint@debian.org>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org
Cc: Adrian Bunk <bunk@stusta.de>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 10:56:02 +0100
Hi Clint,

On 26.02.2014 02:39, Clint Adams wrote:
> On Tue, Feb 25, 2014 at 11:30:25PM +0100, Andreas Cadhalpun wrote:
>> Ideally the security team should now evaluate which of the two are
>> better from a security point of view and based on this decide, which
>> one they would prefer to see in jessie.
>> But if they don't, someone else will have to make this decision.
>
> Ideally someone should upload ffmpeg to unstable instead of
> endlessly discussing it.  I don't see anyone preventing this
> yet.

Sorry, if I didn't make myself clear: Of course this discussion doesn't 
prevent an upload to unstable, but at some point this has to be 
discussed and I see no harm in starting such a discussion as early as 
possible.

At the moment I think Antoine is still reviewing my packaging before 
sponsoring an upload.

If you want to speed things up, you are very welcome to become a 
co-maintainer and upload as soon as you like.

Best regards,
Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 11:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Feb 2014 11:57:11 GMT) Full text and rfc822 format available.

Message #553 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Michael Gilbert <mgilbert@debian.org>
Cc: Michael Niedermayer <michaelni@gmx.at>, 729203@bugs.debian.org, Debian Security Team <team@security.debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 12:52:22 +0100
Hi Michael,

On 26.02.2014 02:44, Michael Gilbert wrote:
> On Tue, Feb 25, 2014 at 8:39 PM, Michael Niedermayer wrote:
>> Id like to volunteer to help with any future security issues in
>> FFmpeg packages in debian.
>
> The best place to start is testing and (more preferably) patches for
> the present libav issues.  There are 18 of them:
> https://security-tracker.debian.org/tracker/source-package/libav

Thanks for trying to make a constructive comment, but I'm not sure what 
you want Michael Niedermayer to do.
Quoting myself [0]:
"[...] I would be very interested in an explanation of the current state 
of the security tracker for libav [1], as *all* issues currently marked 
as open for libav are CVEs issued by FFmpeg about problems they fixed 
[2]. One, CVE-2011-3935, is even several years old *and* fixed for the 
FFmpeg in old-stable! I don't know whether to laugh or cry."

Maybe you thought it was a joke? It was not, just compare the CVE 
numbers on [1] and [2]. I don't know if these actually affect libav, but 
I guess they wouldn't be on the security tracker, if they didn't.
These CVEs are usually linked to the git commits that fix the problems, 
so there are already tested (in the sense that FFmpeg uses them) patches.

If you want Micheal Niedermayer to send these patches to libav upstream, 
I think you would have to convince them to remove some bans from their 
mailing lists. Good luck with that.

Best regards,
Andreas


0: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729203#475
1: https://security-tracker.debian.org/tracker/source-package/libav
2: https://ffmpeg.org/security.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 13:21:04 GMT) Full text and rfc822 format available.

Message #558 received at 729203@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Clint Adams <clint@debian.org>, 729203@bugs.debian.org
Cc: Adrian Bunk <bunk@stusta.de>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 08:15:57 -0500
[Message part 1 (text/plain, inline)]
On 2014-02-26 04:56:02, Andreas Cadhalpun wrote:
> Hi Clint,
>
> On 26.02.2014 02:39, Clint Adams wrote:
>> On Tue, Feb 25, 2014 at 11:30:25PM +0100, Andreas Cadhalpun wrote:
>>> Ideally the security team should now evaluate which of the two are
>>> better from a security point of view and based on this decide, which
>>> one they would prefer to see in jessie.
>>> But if they don't, someone else will have to make this decision.
>>
>> Ideally someone should upload ffmpeg to unstable instead of
>> endlessly discussing it.  I don't see anyone preventing this
>> yet.
>
> Sorry, if I didn't make myself clear: Of course this discussion doesn't 
> prevent an upload to unstable, but at some point this has to be 
> discussed and I see no harm in starting such a discussion as early as 
> possible.
>
> At the moment I think Antoine is still reviewing my packaging before 
> sponsoring an upload.

This was a misunderstanding - I thought more work would be done on the
package first. :)

Is there a git repo or is there only the stuff you sent as an
attachment?

> If you want to speed things up, you are very welcome to become a 
> co-maintainer and upload as soon as you like.

Of course if Clints wants to sponsor the package, that would be great!
:)

A.

-- 
VBscript: la simplicité du C, la puissance du BASIC
                        - Mathieu Petit-Clair
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 15:51:04 GMT) Full text and rfc822 format available.

Message #563 received at 729203@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Michael Niedermayer <michaelni@gmx.at>
Cc: 729203@bugs.debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 16:49:09 +0100
On Wed, Feb 26, 2014 at 02:30:47AM +0100, Michael Niedermayer wrote:
> > Yes, it's the latter: I didn't badmouth ffmpeg in any way: it was said that libav 
> > fixed less Google fuzzer samples than libav; for which I added my observation that when
> > I looked at several CVE assignments for ffmpeg fixes the affected code
> > didn't exist in libav releases and that explains the difference in numbers.
> > That doesn't mean that ffmpeg is worse than libav, it simply means that the
> > code has diverged and different code is affected.
> 
> I belive maybe some things are a bit mixed up here
> The "less fixes in libav" stuff was AFAIK a comparission between the
> libav and ffmpeg git master branches

I'm referring to issues listed on ffmpeg.org/security for which I checked 
the applicability to libav as in Debian. One thing I remember was the 
g2meet codec which wasn't in any libav branch in Debian. 

Anyway, I don't have time to discuss this in depth.

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 15:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 15:57:10 GMT) Full text and rfc822 format available.

Message #568 received at 729203@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, 729203@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 16:54:40 +0100
On Tue, Feb 25, 2014 at 11:30:25PM +0100, Andreas Cadhalpun wrote:
> But then the security team represented by Moritz stated that they
> would not support both FFmpeg and libav, so they are the only ones
> affected negatively by FFmpeg in stable. Thus I think it doesn't
> make much sense to discuss with anyone but the security team.
> 
> Ideally the security team should now evaluate which of the two are
> better from a security point of view and based on this decide, which
> one they would prefer to see in jessie.
> But if they don't, someone else will have to make this decision.

Personally I've fine with either libav or ffmpeg. This decision
should be made by the Debian multimedia maintainers, since they're
affected the most.

Anyway, as said before I EOD for me, please stop CCing me on everthing.

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 16:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Feb 2014 16:06:09 GMT) Full text and rfc822 format available.

Message #573 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Antoine Beaupré <anarcat@debian.org>
Cc: Alexander Strasser <eclipse7@gmx.net>, Clint Adams <clint@debian.org>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 17:02:07 +0100
[Message part 1 (text/plain, inline)]
Hi Antoine,

On 26.02.2014 14:15, Antoine Beaupré wrote:
> On 2014-02-26 04:56:02, Andreas Cadhalpun wrote:
>> At the moment I think Antoine is still reviewing my packaging before
>> sponsoring an upload.
>
> This was a misunderstanding - I thought more work would be done on the
> package first. :)

I think it would be good, if you could upload it to experimental now, 
because I would like to know, if FFmpeg builds on all architectures.
You could use the new upstream version 2.1.4 for this, simply by 
downloading the tarball [1] and changing the version in debian/changelog 
(trivial patch attached).

> Is there a git repo or is there only the stuff you sent as an
> attachment?

I have a local git repo created via git-import-dsc. It would probably be 
good to make this available somewhere.
But the debian.tar.xz and the upstream tarball should be enough to build 
the package with debuild.
If you need anything else, just ask.

By the way, Alexander Strasser from FFmpeg upstream has volunteered to 
co-maintain FFmpeg in Debian.

Best regards,
Andreas


1: https://ffmpeg.org/releases/ffmpeg-2.1.4.tar.gz
[Imported-2.1.4.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 20:21:05 GMT) Full text and rfc822 format available.

Message #578 received at 729203@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Clint Adams <clint@debian.org>
Cc: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, 729203@bugs.debian.org, Yves-Alexis Perez <corsac@debian.org>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Wed, 26 Feb 2014 20:17:06 +0000
On Wed, Feb 26, 2014 at 01:39:23AM +0000, Clint Adams wrote:
> Ideally someone should upload ffmpeg to unstable instead of
> endlessly discussing it.  I don't see anyone preventing this
> yet.

Seconded. I felt that Moritz's last message (when it was the last
message) was fine - let's get it into unstable, and /prove/ that
security issues can be managed, by managing them. That will go a long
way towards building trust in the ffmpeg-packaging-team (whoever that
might be. Still to be resolved I guess) can handle it. It will also
address the issue for a large chunk of Debian users, who use sid anyway.

And before someone actually uploads the thing - can we please get it
into a git repo; clarify the team arrangements (collab-maint or set up a
new one?); and can we reach an agreement on whether the first upload
offers a binary ffmpeg package only (my preference), before we attempt
to tackle the library co-installation (which might take a lot longer,
require ftp master convincing etc.)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 20:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 26 Feb 2014 20:36:09 GMT) Full text and rfc822 format available.

Message #583 received at 729203@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, 729203@bugs.debian.org
Cc: Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Wed, 26 Feb 2014 20:34:18 +0000
Hi Andreas

On Tue, Feb 25, 2014 at 05:43:25PM +0100, Andreas Cadhalpun wrote:
> I intend to package and maintain FFmpeg for Debian. Co-maintainers
> are welcome.

I am interested in co maintaining and can sponsor uploaders, as long
as the package is maintained in git and we aim to get an ffmpeg binary
into unstable before we try to tackle the library issues (i.e., as a
distinct, first phase, with an accepted upload).

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Wed, 26 Feb 2014 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Feb 2014 21:21:05 GMT) Full text and rfc822 format available.

Message #588 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Jonathan Dowland <jmtd@debian.org>
Cc: Alexander Strasser <eclipse7@gmx.net>, 729203@bugs.debian.org, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Wed, 26 Feb 2014 22:17:03 +0100
Hi Jonathan,

thanks for your interest!

On 26.02.2014 21:17, Jonathan Dowland wrote:
> On Wed, Feb 26, 2014 at 01:39:23AM +0000, Clint Adams wrote:
>> Ideally someone should upload ffmpeg to unstable instead of
>> endlessly discussing it.  I don't see anyone preventing this
>> yet.
>
> Seconded. I felt that Moritz's last message (when it was the last
> message) was fine - let's get it into unstable, and /prove/ that
> security issues can be managed, by managing them. That will go a long
> way towards building trust in the ffmpeg-packaging-team (whoever that
> might be. Still to be resolved I guess) can handle it. It will also
> address the issue for a large chunk of Debian users, who use sid
> anyway.

Well, I think that Moritz is concerned about too many fixes going 
through stable-sec, which won't happen for a package in unstable.
But I guess, that if we show that it is well maintained in unstable, it 
doesn't hurt.

I intend to be in the packaging team and Alexander Strasser as well. 
Other co-maintainers are still welcome.

> And before someone actually uploads the thing - can we please get it
> into a git repo; clarify the team arrangements (collab-maint or set
> up a new one?); and can we reach an agreement on whether the first
> upload offers a binary ffmpeg package only (my preference), before we
> attempt to tackle the library co-installation (which might take a lot
> longer, require ftp master convincing etc.)

I would be fine with collab-maint and Alexander as well. If you create a 
repository, we could ask to be added and I could put my current 
packaging (imported via git-dsc-import) in there.

Of course, we can statically link the ffmpeg binaries (increases size by 
approximately factor 4), or move the libraries to /usr/lib/ffmpeg in a 
first phase.

On 26.02.2014 21:34, Jonathan Dowland wrote:
> On Tue, Feb 25, 2014 at 05:43:25PM +0100, Andreas Cadhalpun wrote:
>> I intend to package and maintain FFmpeg for Debian. Co-maintainers
>> are welcome.
>
> I am interested in co maintaining and can sponsor uploaders, as long
> as the package is maintained in git and we aim to get an ffmpeg binary
> into unstable before we try to tackle the library issues (i.e., as a
> distinct, first phase, with an accepted upload).

It would be great to have you in the team.

Best regards,
Andreas




Added blocking bug(s) of 729203: 721721 Request was from Anders Jonsson <anders.jonsson@norsjovallen.se> to control@bugs.debian.org. (Wed, 26 Feb 2014 22:12:10 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 729203: 721721 Request was from Anders Jonsson <anders.jonsson@norsjovallen.se> to control@bugs.debian.org. (Wed, 26 Feb 2014 22:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Thu, 27 Feb 2014 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Thu, 27 Feb 2014 08:12:04 GMT) Full text and rfc822 format available.

Message #597 received at 729203@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Alexander Strasser <eclipse7@gmx.net>, 729203@bugs.debian.org, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Thu, 27 Feb 2014 08:09:06 +0000
On Wed, Feb 26, 2014 at 10:17:03PM +0100, Andreas Cadhalpun wrote:
> I would be fine with collab-maint and Alexander as well. If you
> create a repository, we could ask to be added and I could put my
> current packaging (imported via git-dsc-import) in there.

OK, I've created an empty repository at
git://anonscm.debian.org/collab-maint/ffmpeg.git

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Thu, 27 Feb 2014 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Niedermayer <michaelni@gmx.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Thu, 27 Feb 2014 11:51:04 GMT) Full text and rfc822 format available.

Message #602 received at 729203@bugs.debian.org (full text, mbox):

From: Michael Niedermayer <michaelni@gmx.at>
To: Moritz Mühlenhoff <jmm@inutil.org>, 729203@bugs.debian.org
Cc: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, Adrian Bunk <bunk@stusta.de>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, team@security.debian.org, Timothy Gu <timothygu99@gmail.com>, Jonathan Dowland <jmtd@debian.org>
Subject: Re: Bug#729203: Packaging for FFmpeg avoiding conflicts with libav
Date: Thu, 27 Feb 2014 12:46:52 +0100
[Message part 1 (text/plain, inline)]
On Wed, Feb 26, 2014 at 04:49:09PM +0100, Moritz Mühlenhoff wrote:
> On Wed, Feb 26, 2014 at 02:30:47AM +0100, Michael Niedermayer wrote:
> > > Yes, it's the latter: I didn't badmouth ffmpeg in any way: it was said that libav 
> > > fixed less Google fuzzer samples than libav; for which I added my observation that when
> > > I looked at several CVE assignments for ffmpeg fixes the affected code
> > > didn't exist in libav releases and that explains the difference in numbers.
> > > That doesn't mean that ffmpeg is worse than libav, it simply means that the
> > > code has diverged and different code is affected.
> > 
> > I belive maybe some things are a bit mixed up here
> > The "less fixes in libav" stuff was AFAIK a comparission between the
> > libav and ffmpeg git master branches
> 
> I'm referring to issues listed on ffmpeg.org/security for which I checked 
> the applicability to libav as in Debian. One thing I remember was the 
> g2meet codec which wasn't in any libav branch in Debian. 
> 
> Anyway, I don't have time to discuss this in depth.


g2meet was added to libav Mon Jun 3 09:24:55 2013 +0200
commit 2d66a58ccde05e764594bd7e5f0f9244634d0b2c

and to ffmpeg on Mon Jun 3 12:47:26 2013 +0200
commit e5cdf9c03b1ef0913dad117b0e5d343a525f6d10

the added code was identical, except the project name in the header

On the FFmpeg side the 3 security issues from the security page where
fixed in the code in

e07ac72 Michael Niedermayer     2013-09-21 2013-09-22   avcodec/g2meet: Fix framebuf size
821a593 Michael Niedermayer     2013-09-15 2013-09-15   avcodec/g2meet: Fix order of align and pixel size multiplication.
2960576 Michael Niedermayer     2013-08-07 2013-08-07   avcodec/g2meet: fix src pointer checks in kempf_decode_tile()

These where also all backported to the only FFmpeg release that
contained g2meet at that time

None of these 3 commits is in libav master AFAIK or their latest alpha
or beta.
Are they affected by these bugs, i dont know, i did not investigate.

And as you picked this example
If you would compare FFmpeg vs. Libav with it
For FFmpeg none of the latest releases from any release branch are
affected by it you can saftely ship/use any with no work testing or
backporting any security issues.
also had debian taken FFmpeg instead of Libav for Wheezy or any prior
debian release, it also would not have affected debian any bit more as
no FFmpeg release at that time contained the affected code.

Thanks

[...]
-- 
Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

If you think the mosad wants you dead since a long time then you are either
wrong or dead since a long time.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Sat, 01 Mar 2014 22:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Favor <david@davidfavor.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Sat, 01 Mar 2014 22:51:07 GMT) Full text and rfc822 format available.

Message #607 received at 729203@bugs.debian.org (full text, mbox):

From: David Favor <david@davidfavor.com>
To: 729203@bugs.debian.org
Subject: Please add a working/real ffmpeg back into Debian
Date: Sat, 01 Mar 2014 16:30:43 -0600
Right now 1000s of people build ffmpeg daily from git,
just to have a working copy.

Please drop libav + add back ffmpeg.

Thanks!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Wed, 12 Mar 2014 21:24:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut <thibaut.bethune@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Wed, 12 Mar 2014 21:24:38 GMT) Full text and rfc822 format available.

Message #612 received at 729203@bugs.debian.org (full text, mbox):

From: Thibaut <thibaut.bethune@gmail.com>
To: 729203@bugs.debian.org
Subject: Iceweasel H264 decoding & libav/ffmpeg
Date: Wed, 12 Mar 2014 22:23:15 +0100
Hi !

Some people have reported on Ubuntu that Firefox (which now makes use of
GStreamer 0.10.x to decode H264 video, at least until Firefox 30 which
should switch to GStreamer 1.x) can't read H264 video using
gstreamer1.0-libav whereas they can using gstreamer0.10-ffmpeg [1]

Maybe this could explain why on Debian Sid with Iceweasel 29 from
http://mozilla.debian.net/ I can't watch H264 videos neither ?

Thanks


[1] http://forum.ubuntu-fr.org/viewtopic.php?id=1517561



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Thu, 13 Mar 2014 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Thu, 13 Mar 2014 18:57:04 GMT) Full text and rfc822 format available.

Message #617 received at 729203@bugs.debian.org (full text, mbox):

From: Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>
To: 729203@bugs.debian.org
Subject: We need a real FFMPEG
Date: Thu, 13 Mar 2014 14:53:29 -0400
We need a real FFMPEG , the new one produces

">>*** THIS PROGRAM IS DEPRECATED ***
>>This program is only provided for compatibility and will be removed in a
future release. Please use avconv instead.
"

after issuing an ffmpeg command. This cause ffmpeg to go into permanent
disk-sleep, requiring a re-boot to resolve it. Kill, does not kill
ffmpeg (with the new message) only a reboot does.

Bring back the real FFMPEG.


-- 
From My Research Desk :)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 16 Mar 2014 13:41:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 16 Mar 2014 13:41:53 GMT) Full text and rfc822 format available.

Message #622 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Jonathan Dowland <jmtd@debian.org>
Cc: Alexander Strasser <eclipse7@gmx.net>, 729203@bugs.debian.org, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Sun, 16 Mar 2014 14:36:35 +0100
Hi Jonathan,

unfortunately you haven't forwarded my and Alexander's request to join 
collab-maint to nm@debian.org. Thus we still don't have access to the 
repository you created.

Are you still interested in packaging FFmpeg for Debian?

Best regards,
Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Mon, 17 Mar 2014 20:18:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Mon, 17 Mar 2014 20:18:19 GMT) Full text and rfc822 format available.

Message #627 received at 729203@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: Alexander Strasser <eclipse7@gmx.net>, 729203@bugs.debian.org, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Mon, 17 Mar 2014 20:17:11 +0000
Hi Andreas,

On Sun, Mar 16, 2014 at 02:36:35PM +0100, Andreas Cadhalpun wrote:
> unfortunately you haven't forwarded my and Alexander's request to
> join collab-maint to nm@debian.org. Thus we still don't have access
> to the repository you created.

No, so far I haven't, sorry - I haven't had time to send the signed
message. I'm near my GPG key tonight so I can do so now.

> Are you still interested in packaging FFmpeg for Debian?

Yes.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Fri, 21 Mar 2014 21:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Fri, 21 Mar 2014 21:09:15 GMT) Full text and rfc822 format available.

Message #632 received at 729203@bugs.debian.org (full text, mbox):

From: Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>
To: 729203@bugs.debian.org
Cc: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Fri, 21 Mar 2014 17:06:13 -0400
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729203#588

"I intend to be in the packaging team and Alexander Strasser as well.
Other co-maintainers are still welcome."

I'm interested in becoming a co-maintainer.

Daniel (aka Cyborg Alpha)

-- 
From My Research Desk :)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sat, 22 Mar 2014 12:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Mar 2014 12:24:06 GMT) Full text and rfc822 format available.

Message #637 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Sat, 22 Mar 2014 13:21:13 +0100
Hi Daniel

On 21.03.2014 22:06, Cyborg Ethly Alpha {My Research Desk} wrote:
> I'm interested in becoming a co-maintainer.

You are welcome to do so.
There is already a collab-maint git repository on alioth [1], but 
unfortunately some permissions are wrong, so I can't push my packaging 
to it. I hope one of the alioth maintainers will get around to fix this.

Best regards,
Andreas

1: http://anonscm.debian.org/gitweb/?p=collab-maint/ffmpeg.git;a=summary



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Sat, 22 Mar 2014 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Sat, 22 Mar 2014 20:21:05 GMT) Full text and rfc822 format available.

Message #642 received at 729203@bugs.debian.org (full text, mbox):

From: Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Sat, 22 Mar 2014 16:16:23 -0400
Hi Andreas

Thank you very much. I was thinking, that it might be a good idea to
have a second (back) repository, just in case. It would relieve pressure
on the primary repository and provide better up-time. While I currently
don't have a git server (and I would be willing to set one up). I do
have a launchpad account. [ https://launchpad.net/~cyborg-alpha-nh4 ] We
could provide source and binary packages from there - just as sunab ppa
(Olivier Banus) did for Kdenlive. I believe, I would set up an FFmpeg
project (under my ppa), and create a team (providing upload access). At
this point, we would not be building source - just providing a place to
serve it from.

I have successfully build FFmpeg [ /ffmpeg version 2.2.git Copyright (c)
2000-2014 the FFmpeg developers//
//  built on Mar 13 2014 16:08:45 with gcc 4.8 (Ubuntu/Linaro
4.8.1-10ubuntu9) /] on Kubuntu 13.10 . However, there appears to be a
bug, that I'm trying to resolve.
[ ffmpeg -f alsa -ac 2 -i hw:2,0 -f x11grab -r 30 -s 1920x1080 -i :0.0
-acodec libmp3lame -ab 320k
/media/[username]/library-portable/video-studio/transfer-bin/BTSvlog03.avi ]
produces the error
[  [swscaler @ 0x9e81080] Warning: data is not aligned! This can lead to
a speedloss ]

Hope I can be of use.
Daniel


From My Research Desk :)

On 03/22/2014 08:21 AM, Andreas Cadhalpun wrote:
> Hi Daniel
>
> On 21.03.2014 22:06, Cyborg Ethly Alpha {My Research Desk} wrote:
>> I'm interested in becoming a co-maintainer.
>
> You are welcome to do so.
> There is already a collab-maint git repository on alioth [1], but
> unfortunately some permissions are wrong, so I can't push my packaging
> to it. I hope one of the alioth maintainers will get around to fix this.
>
> Best regards,
> Andreas
>
> 1: http://anonscm.debian.org/gitweb/?p=collab-maint/ffmpeg.git;a=summary
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Sun, 23 Mar 2014 17:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Mar 2014 17:06:07 GMT) Full text and rfc822 format available.

Message #647 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>, 729203@bugs.debian.org
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Sun, 23 Mar 2014 18:02:41 +0100
Hi,

On 22.03.2014 21:16, Cyborg Ethly Alpha {My Research Desk} wrote:
> Thank you very much. I was thinking, that it might be a good idea to
> have a second (back) repository, just in case. It would relieve pressure
> on the primary repository and provide better up-time. While I currently
> don't have a git server (and I would be willing to set one up). I do
> have a launchpad account. [ https://launchpad.net/~cyborg-alpha-nh4 ] We
> could provide source and binary packages from there - just as sunab ppa
> (Olivier Banus) did for Kdenlive. I believe, I would set up an FFmpeg
> project (under my ppa), and create a team (providing upload access). At
> this point, we would not be building source - just providing a place to
> serve it from.

Once I manage to push my packaging to the alioth repository you could 
simply clone that.

> I have successfully build FFmpeg [ /ffmpeg version 2.2.git Copyright (c)
> 2000-2014 the FFmpeg developers//
> //  built on Mar 13 2014 16:08:45 with gcc 4.8 (Ubuntu/Linaro
> 4.8.1-10ubuntu9) /] on Kubuntu 13.10 . However, there appears to be a
> bug, that I'm trying to resolve.
> [ ffmpeg -f alsa -ac 2 -i hw:2,0 -f x11grab -r 30 -s 1920x1080 -i :0.0
> -acodec libmp3lame -ab 320k
> /media/[username]/library-portable/video-studio/transfer-bin/BTSvlog03.avi ]
> produces the error
> [  [swscaler @ 0x9e81080] Warning: data is not aligned! This can lead to
> a speedloss ]

I tried this with FFmpeg 2.1.4 and didn't get that warning, but the 
audio was out of sync. Without the '-r 30' option audio and video are in 
sync.
If this doesn't help you, try to ask upstream: ffmpeg-user@ffmpeg.org

Best regards,
Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 27 Mar 2014 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 Mar 2014 13:12:05 GMT) Full text and rfc822 format available.

Message #652 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Jonathan Dowland <jmtd@debian.org>
Cc: Alexander Strasser <eclipse7@gmx.net>, Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>, 729203@bugs.debian.org, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Thu, 27 Mar 2014 14:08:37 +0100
Hi Jonathan,

I updated my packaging to FFmpeg 2.2 and was finally able to push it to 
the collab-maint repository [1].

Please review and test this. When we are satisfied with it, you could 
upload it to experimental.

Best regards,
Andreas


1: http://anonscm.debian.org/gitweb/?p=collab-maint/ffmpeg.git;a=summary
   git clone git://anonscm.debian.org/collab-maint/ffmpeg.git



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Bug#729203; Package wnpp. (Thu, 27 Mar 2014 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>. (Thu, 27 Mar 2014 13:51:05 GMT) Full text and rfc822 format available.

Message #657 received at 729203@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>, 729203@bugs.debian.org
Cc: Jonathan Dowland <jmtd@debian.org>, Alexander Strasser <eclipse7@gmx.net>, Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Thu, 27 Mar 2014 22:49:15 +0900
Hi Andreas,

On Thu, 27 Mar 2014, Andreas Cadhalpun wrote:
> I updated my packaging to FFmpeg 2.2 and was finally able to push it
> to the collab-maint repository [1].

I tried to build in a clean cowbuilder on amd64, but it dies right
at the beginning after configure:
...
Creating config.mak, config.h, and doc/config.texi...
make[1]: Leaving directory `/tmp/buildd/ffmpeg-2.2'
   debian/rules override_dh_auto_build-arch
make[1]: Entering directory `/tmp/buildd/ffmpeg-2.2'
faketime "Mon, 24 Mar 2014 18:56:11 +0100" dh_auto_build -a -- tools/qt-faststart
sem_open: Function not implemented
make[1]: *** [override_dh_auto_build-arch] Error 1
...

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
GPG: 0x860CDC13   fp: F7D8 A928 26E3 16A1 9FA0  ACF0 6CAC A448 860C DC13
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 27 Mar 2014 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 Mar 2014 14:39:04 GMT) Full text and rfc822 format available.

Message #662 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Norbert Preining <preining@logic.at>, 729203@bugs.debian.org
Cc: Jonathan Dowland <jmtd@debian.org>, Alexander Strasser <eclipse7@gmx.net>, Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Thu, 27 Mar 2014 15:35:27 +0100
Hi Norbert,

On 27.03.2014 14:49, Norbert Preining wrote:
> On Thu, 27 Mar 2014, Andreas Cadhalpun wrote:
>> I updated my packaging to FFmpeg 2.2 and was finally able to push it
>> to the collab-maint repository [1].
>
> I tried to build in a clean cowbuilder on amd64, but it dies right
> at the beginning after configure:
> ...
> Creating config.mak, config.h, and doc/config.texi...
> make[1]: Leaving directory `/tmp/buildd/ffmpeg-2.2'
>     debian/rules override_dh_auto_build-arch
> make[1]: Entering directory `/tmp/buildd/ffmpeg-2.2'
> faketime "Mon, 24 Mar 2014 18:56:11 +0100" dh_auto_build -a -- tools/qt-faststart
> sem_open: Function not implemented
> make[1]: *** [override_dh_auto_build-arch] Error 1

Strange, as it builds fine with pbuilder.

I just tried a jessie/amd64 chroot with cowbuilder and it builds fine 
for me.
Does your cowbuilder mount /run/shm? Mine does:
I: mounting /run/shm filesystem

This might be the cause for 'sem_open: Function not implemented'.

Best regards,
Andreas





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729203; Package wnpp. (Thu, 17 Apr 2014 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 Apr 2014 20:42:04 GMT) Full text and rfc822 format available.

Message #667 received at 729203@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Norbert Preining <preining@logic.at>, 729203@bugs.debian.org
Cc: Jonathan Dowland <jmtd@debian.org>, Alexander Strasser <eclipse7@gmx.net>, Cyborg Ethly Alpha {My Research Desk} <cyborg.alpha.ch3ch3@gmail.com>, Antoine Beaupré <anarcat@debian.org>, Rogério Brito <rbrito@ime.usp.br>, Jackson Doak <noskcaj@ubuntu.com>, Timothy Gu <timothygu99@gmail.com>
Subject: Re: Bug#729203: Intent to package FFmpeg
Date: Thu, 17 Apr 2014 22:39:38 +0200
Hi Norbert,

On 27.03.2014 14:49, Norbert Preining wrote:
> I tried to build in a clean cowbuilder on amd64, but it dies right
> at the beginning after configure:
> ...
> Creating config.mak, config.h, and doc/config.texi...
> make[1]: Leaving directory `/tmp/buildd/ffmpeg-2.2'
>     debian/rules override_dh_auto_build-arch
> make[1]: Entering directory `/tmp/buildd/ffmpeg-2.2'
> faketime "Mon, 24 Mar 2014 18:56:11 +0100" dh_auto_build -a -- tools/qt-faststart
> sem_open: Function not implemented
> make[1]: *** [override_dh_auto_build-arch] Error 1
> ...

I found the cause of this:
The pbuilder in stable does not mount /run/shm, but the pbuilder in 
testing does, see Bug#700591 [1].

Best regards,
Andreas


1: https://bugs.debian.org/700591




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:02:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.